/*	
 *	clippky.c
 *
 *	P/ECE POKEY(CO12294) Emulator
 *
 *	CLiP - Common Library for P/ECE
 *	Copyright (C) 2001-2004 Naoyuki Sawa
 *
 *	* Mon Jan 26 20:20:00 JST 2004 Naoyuki Sawa
 *	- 쐬JnB
 */
#include "clip.h"

/****************************************************************************
 *	֐
 ****************************************************************************/

void
pokey_channel_setup_period(POKEY* pokey, int i_channel)
{
	POKEYCHANNEL* channel = &pokey->channel[i_channel];
	unsigned char* reg = pokey->reg;
	unsigned char audctl = reg[8];
	int scale = audctl & 1 ? 112 : 28; /* 15/64K[Hz] */

	ASSERT(i_channel >= 0 && i_channel <= 3);

	switch(i_channel) {
	case 0:
		channel->volume = reg[1] & 0xf;
		if(channel->volume) {
			channel->volume_only = (reg[1] >> 4) & 1;
			if(channel->volume_only) {
				channel->output = (channel->volume << 1) - 15; /* -15`15 */
				channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
			} else {
				channel->distotion = (reg[1] >> 5) & 7;
				if(audctl & 0x40) { /* 1.7?MHz Ch.1 */
					if(audctl & 0x10) { /* Join 1-2 */
						channel->period = reg[0] + 7;
					} else {
						channel->period = reg[0] + 4;
					}
				} else {
					channel->period = (reg[0] + 1) * scale;
				}
			}
		} else {
			channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
		}
		break;
	case 1:
		channel->volume = reg[3] & 0xf;
		if(channel->volume) {
			channel->volume_only = (reg[3] >> 4) & 1;
			if(channel->volume_only) {
				channel->output = (channel->volume << 1) - 15; /* -15`15 */
				channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
			} else {
				channel->distotion = (reg[3] >> 5) & 7;
				if(audctl & 0x10) { /* Join 1-2 */
					if(audctl & 0x40) { /* 1.7?MHz Ch.1 */
						channel->period = (reg[0] | reg[2] << 8) + 7;
					} else {
						channel->period = ((reg[0] | reg[2] << 8) + 1) * scale;
					}
				} else {
					channel->period = (reg[2] + 1) * scale;
				}
			}
		} else {
			channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
		}
		break;
	case 2:
		channel->volume = reg[5] & 0xf;
		if(channel->volume) {
			channel->volume_only = (reg[5] >> 4) & 1;
			if(channel->volume_only) {
				channel->output = (channel->volume << 1) - 15; /* -15`15 */
				channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
			} else {
				channel->distotion = (reg[5] >> 5) & 7;
				if(audctl & 0x20) { /* 1.7?MHz Ch.3 */
					if(audctl & 8) { /* Join 3-4 */
						channel->period = reg[4] + 7;
					} else {
						channel->period = reg[4] + 4;
					}
				} else {
					channel->period = (reg[4] + 1) * scale;
				}
			}
		} else {
			channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
		}
		break;
	case 3:
		channel->volume = reg[7] & 0xf;
		if(channel->volume) {
			channel->volume_only = (reg[7] >> 4) & 1;
			if(channel->volume_only) {
				channel->output = (channel->volume << 1) - 15; /* -15`15 */
				channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
			} else {
				channel->distotion = (reg[7] >> 5) & 7;
				if(audctl & 8) { /* Join 3-4 */
					if(audctl & 0x20) { /* 1.7?MHz Ch.3 */
						channel->period = (reg[4] | reg[6] << 8) + 7;
					} else {
						channel->period = ((reg[4] | reg[6] << 8) + 1) * scale;
					}
				} else {
					channel->period = (reg[6] + 1) * scale;
				}
			}
		} else {
			channel->period = INT_MAX; /* ʂȔ]Ăяo񐔂炷 */
		}
		break;
	}

	/* Xs[J[o͎gȏPureTone͔ĂʂȂ̂ŁA܂B */
	if(channel->period < pokey->progress.u) {
		if(channel->distotion == 5 || channel->distotion == 7) { /* PureTone */
			channel->volume = 0;
			channel->period = INT_MAX;
		}
	}

	/* TCNisJE^܂B */
	ASSERT(channel->period); /* Ŏ~܂炱̊֐̃oOł */
	channel->progress = channel->period;
}

/****************************************************************************
 *	AvP[Vp֐
 ****************************************************************************/

void
pokey_reset(POKEY* pokey, int clock)
{
	/* ܂NAB */
	memset(pokey, 0, sizeof(POKEY));

	/* gchannel[0`3].period != 0hۏ؂邽߂̏ZbgAbvB */
	pokey_channel_setup_period(pokey, 0);
	pokey_channel_setup_period(pokey, 1);
	pokey_channel_setup_period(pokey, 2);
	pokey_channel_setup_period(pokey, 3);

	/* TCNisDDAZbgAbvB */
	pokey->progress.u = clock / SPEAKER_FREQUENCY;	/* ̕ω */
	pokey->progress.n = clock % SPEAKER_FREQUENCY;	/* [̑ */
	pokey->progress.d =        -SPEAKER_FREQUENCY;	/* [ */
}

unsigned char
pokey_read(POKEY* pokey, int regno)
{
	unsigned char* reg = pokey->reg;

	ASSERT(regno >= 0 && regno <= 0xf);

	/* TODO: I/O READΉ
	 * ݂̂ƂȀƂāA񂾒l̂܂ܕԂ܂B
	 * {READ/WRITEŃWX^̈ӖႤ̂ŁAł̓_łB
	 */
	return reg[regno];
}

void
pokey_write(POKEY* pokey, int regno, unsigned char data)
{
	unsigned char* reg = pokey->reg;

	ASSERT(regno >= 0 && regno <= 0xf);

	if(reg[regno] == data) return; /* ωȂȂA܂ */
	reg[regno] = data; /* ωȂA܂i[ */

	switch(regno) {
	case 0x0: /* AUDF1 */
		pokey_channel_setup_period(pokey, 0);
		if(reg[8] & 0x10) pokey_channel_setup_period(pokey, 1); /* Join 1-2 */
		break;
	case 0x1: /* AUDC1 */
		pokey_channel_setup_period(pokey, 0);
		break;
	case 0x2: /* AUDF2 */
	case 0x3: /* AUDC2 */
		pokey_channel_setup_period(pokey, 1);
		break;
	case 0x4: /* AUDF3 */
		pokey_channel_setup_period(pokey, 2);
		if(reg[8] & 8) pokey_channel_setup_period(pokey, 3); /* Join 3-4 */
		break;
	case 0x5: /* AUDC3 */
		pokey_channel_setup_period(pokey, 2);
		break;
	case 0x6: /* AUDF4 */
	case 0x7: /* AUDC4 */
		pokey_channel_setup_period(pokey, 3);
		break;
	case 0x8: /* AUDCTL */
		pokey_channel_setup_period(pokey, 0);
		pokey_channel_setup_period(pokey, 1);
		pokey_channel_setup_period(pokey, 2);
		pokey_channel_setup_period(pokey, 3);
		break;
	/* ȉ͏܂ */
	//case 0x9: /* STIMER */
	//case 0xa: /* SKREST */
	//case 0xb: /* POTGO */
	//case 0xc: /* (unused) */
	//case 0xd: /* SEROUT */
	//case 0xe: /* IOQEN */
	//case 0xf: /* SKCTL */
	}
}

void
pokey_mix(POKEY* pokey, short wbuff[/*count*/], int count)
{
	DDA progress;
	int cycle;

	progress = pokey->progress; /* ̂߁Aꎞo */
	while(count > 0) {
		/* o߃TCN߂܂B */
		cycle = progress.u;
		progress.d += progress.n;
		if(progress.d >= 0) {
			progress.d -= SPEAKER_FREQUENCY;
			cycle++;
		}

		/* 1Tv~LVOĊi[܂B */
		*wbuff++ = pokey_process(pokey, cycle);

		/* cTv炵܂B */
		count--;
	}
	pokey->progress = progress; /* ߂BYꂸȂ!! */
}

/****************************************************************************
 *	LFSRo̓e[u
 ****************************************************************************/

/* [4bit tap=0x9] */
const unsigned char pokey_lfsr_table4[0x2/*output=0xf[bits],padding=1[bits]*/] = {
'\xf1','\x1a',
};
/* [5bit tap=0x9] */
const unsigned char pokey_lfsr_table5[0x4/*output=0x1f[bits],padding=1[bits]*/] = {
'\xa1','\x6e','\x7c','\x16',
};
/* [9bit tap=0x11] */
const unsigned char pokey_lfsr_table9[0x40/*output=0x1ff[bits],padding=1[bits]*/] = {
'\x01','\x42','\x0c','\x39','\xd5','\xb0','\x97','\x9d','\x28','\xd4','\xf2','\x9b','\xa4','\xfd','\x64','\x65',
'\x06','\x8c','\x29','\x96','\xfe','\xa2','\x71','\x4d','\xf3','\xf8','\x2e','\x58','\xdb','\x0d','\x5a','\x5f',
'\x15','\x28','\xf5','\x74','\x07','\xce','\x25','\xaf','\x2b','\x12','\xe6','\xd0','\xdb','\x2c','\xdc','\xc3',
'\x7f','\xf0','\x3e','\x3a','\x13','\xa4','\xdc','\xe2','\xf9','\x6c','\x54','\xe2','\xd8','\xea','\xc8','\x08',
};
/* [17bit tap=0x21] */
const unsigned char pokey_lfsr_table17[0x4000/*output=0x1ffff[bits],padding=1[bits]*/] = {
'\x01','\x00','\x02','\x20','\x04','\x02','\x28','\x84','\x12','\x20','\x24','\x02','\x6a','\xa4','\x92','\x62',
'\x0c','\x03','\x28','\x86','\x32','\x24','\x26','\x2a','\xee','\xb6','\xb2','\x46','\x0e','\x69','\x8c','\x14',
'\x50','\x28','\x25','\x02','\x68','\x84','\x96','\x60','\x24','\x87','\x3a','\xa6','\x16','\x26','\x4c','\x8e',
'\x7c','\xd4','\xbe','\x45','\x26','\xef','\xbe','\x30','\x76','\x02','\xcb','\xb4','\xda','\xc2','\x98','\x09',
'\xa8','\x93','\x6a','\x8e','\x33','\x24','\x24','\x0a','\xea','\xb4','\x9a','\xc2','\x1c','\x49','\xa8','\x16',
'\x3a','\x8c','\xb7','\x60','\x64','\x87','\xbe','\xe6','\x16','\xa3','\x1c','\x8c','\xf8','\x90','\xfe','\xc8',
'\x72','\xbd','\x32','\x51','\x76','\xc7','\x9b','\x32','\x1e','\x86','\x5d','\xd4','\xfe','\x45','\xa2','\xaf',
'\xbe','\xb5','\x26','\x00','\x4f','\xf0','\x9a','\x4f','\xcc','\x5b','\x24','\xf2','\x6a','\x4b','\x63','\xa2',
'\xe0','\x4e','\x2f','\x69','\xcc','\x14','\xd4','\x68','\x25','\x87','\x38','\x86','\x12','\x24','\x64','\x0a',
'\x6e','\xf4','\x9a','\x47','\x4c','\x4b','\x2c','\x52','\x7a','\x01','\xe3','\x32','\xe8','\xe6','\xbe','\x23',
'\x46','\x25','\xd8','\xc8','\x3d','\x4d','\xa8','\x1e','\xba','\x9c','\xbf','\xc0','\x74','\xcd','\x3e','\x76',
'\x1e','\x0b','\x8d','\xc6','\x72','\xa1','\xf2','\x68','\x6a','\x77','\xa2','\xc9','\xde','\x7f','\x40','\xf8',
'\x04','\xbf','\xf9','\xe5','\xac','\x05','\x03','\x3b','\xb6','\x15','\x37','\x5a','\xcd','\x61','\x86','\xa5',
'\x54','\x01','\xbc','\xc2','\x53','\xb9','\x32','\x59','\xf6','\xd7','\x93','\x92','\x0e','\xcc','\xdd','\x44',
'\xf6','\xed','\x33','\xe5','\x34','\x84','\x2a','\xa0','\x57','\x3a','\x0a','\xd7','\x64','\xe3','\xff','\x38',
'\x70','\x72','\xc7','\x93','\xb2','\x0e','\x8e','\xfd','\xc4','\xb4','\xc5','\x32','\xa7','\x16','\x24','\x6c',
'\x8a','\x7e','\xfc','\x3a','\x57','\x06','\xcb','\xbc','\x5a','\xd2','\x90','\xa9','\xb8','\xd9','\xea','\x1e',
'\x3b','\x8c','\xb5','\x40','\x60','\x85','\x96','\x62','\x04','\x83','\x38','\x8e','\x92','\x34','\x6c','\xaa',
'\x7e','\xbe','\x1a','\xd7','\x44','\xe3','\xbd','\x18','\xf0','\x30','\xef','\x92','\xf0','\x2c','\x2e','\xbb',
'\xee','\x9d','\x03','\x02','\x27','\x74','\x0c','\x2f','\xe8','\xdc','\x1e','\x54','\x7c','\x6d','\x2f','\x2c',
'\x9c','\x9a','\x91','\x2c','\xea','\xfb','\x6a','\x58','\x53','\x85','\xf3','\x32','\xc8','\xe6','\xfc','\x03',
'\xc6','\x67','\xf0','\xc9','\x7f','\x6f','\x08','\x58','\x90','\xb5','\x79','\xf0','\xf4','\xaf','\x16','\x35',
'\x7c','\xa9','\x6f','\xa8','\x59','\xca','\x16','\xf8','\xac','\x3f','\xa3','\x4c','\x8c','\x5d','\xc0','\xbe',
'\x6c','\xb6','\xbf','\x97','\x04','\x66','\x69','\x5a','\x74','\xf1','\xff','\x1d','\x20','\x3a','\xe2','\x57',
'\xba','\x0a','\xdf','\xe5','\xe3','\xf5','\x99','\x74','\x7a','\x4e','\x13','\xa8','\xa7','\x2a','\xe5','\x07',
'\xb4','\x4f','\x93','\xab','\x9f','\xad','\xe6','\x31','\xd3','\x50','\xab','\x14','\x1c','\xe8','\xb9','\x4e',
'\x98','\x19','\xa9','\xa2','\x78','\xcf','\x06','\xf2','\x2d','\x3b','\xe9','\xe5','\x8c','\x05','\x41','\x1b',
'\x36','\x57','\x1f','\x5b','\x8f','\x43','\x26','\xe3','\x7e','\x28','\x7a','\xf2','\xd3','\xdb','\x1a','\x1a',
'\x94','\x75','\x71','\xfc','\x25','\xa7','\x39','\xd4','\x30','\xa5','\x32','\x60','\x66','\xa6','\xaa','\xe6',
'\x3f','\x33','\x4c','\xa5','\xcc','\x80','\x95','\x59','\xb2','\x96','\x0f','\xd4','\x5f','\x55','\xea','\x0f',
'\x2a','\xbf','\xa6','\x15','\x17','\x5a','\x8f','\x41','\x06','\xe7','\x7c','\x00','\xfe','\xe0','\xf3','\xff',
'\x18','\x70','\x30','\xe7','\x13','\xf0','\x26','\x8f','\xbf','\xe6','\x14','\x83','\x18','\x8e','\xd0','\x14',
'\xec','\xe8','\x56','\xbf','\x58','\xf5','\xe4','\xa5','\x97','\x31','\x36','\x00','\x6f','\xf0','\xd8','\x6f',
'\x4c','\x19','\x0c','\xf3','\x28','\x69','\xc3','\xe4','\xca','\x67','\xe9','\x59','\x4c','\x76','\xfc','\x2b',
'\x47','\x25','\xda','\xe8','\x39','\x4f','\x80','\x9a','\xa8','\xbc','\x9b','\xc2','\x1e','\x69','\xac','\x14',
'\x12','\x08','\xa5','\x40','\x40','\x85','\xd4','\x42','\x84','\xc1','\x10','\x8f','\xd0','\x16','\xcc','\xec',
'\x54','\x97','\xdc','\xe7','\xc4','\x81','\x95','\x5b','\x92','\x92','\x0d','\xfc','\xdb','\x47','\xca','\x2b',
'\x28','\xd5','\x02','\x87','\x75','\x56','\x8c','\x69','\x80','\xd5','\x58','\x26','\xd4','\x0e','\x45','\x4d',
'\x5e','\x7e','\x59','\x6b','\x07','\xa0','\x0e','\xaa','\xbd','\x8e','\x90','\x15','\x78','\xaa','\x57','\x2e',
'\x4a','\xfe','\x70','\xf3','\xd6','\x89','\x30','\x1b','\xd2','\x17','\xd9','\xbe','\x5f','\x86','\xda','\xa4',
'\xf8','\xc3','\xce','\x6b','\x21','\xc1','\x50','\x8e','\x44','\x54','\xcd','\x7d','\x46','\x9c','\x48','\xb1',
'\x85','\x39','\x93','\x40','\x2f','\x75','\x0c','\x2d','\xc8','\xd8','\x1c','\x7c','\xf8','\x7f','\x0f','\x08',
'\x9e','\xf0','\x35','\xbe','\x88','\xf7','\x69','\x70','\xd5','\xb7','\xd7','\x14','\xe2','\x08','\x4a','\xb1',
'\x80','\x69','\x99','\x45','\x6b','\x3f','\x20','\x7d','\x92','\xdd','\xfd','\x66','\x94','\x8b','\x91','\x0f',
'\xda','\xbf','\x49','\xe4','\xd7','\xb6','\xc2','\x46','\xe9','\x19','\x4c','\xf2','\xbc','\x2b','\xc2','\x75',
'\xd8','\x6c','\x7d','\x0f','\x0d','\xce','\xfa','\x30','\xfa','\xc2','\xdb','\x39','\x2a','\xd0','\x56','\xcd',
'\x78','\x16','\x96','\x4d','\xf5','\xcf','\x15','\xc3','\x1a','\x2a','\x94','\x16','\x41','\x3c','\x46','\x1b',
'\x38','\xb7','\x03','\x55','\x57','\xdf','\x5b','\x03','\x82','\x26','\x6c','\x8f','\x2e','\xf6','\x3f','\x13',
'\x4c','\xe7','\xec','\x00','\xd7','\x71','\xb3','\xd4','\x2d','\x74','\x19','\x7f','\xc3','\xc9','\x1a','\x3f',
'\xc4','\x3d','\x54','\x38','\x2d','\xa3','\x68','\xcc','\x17','\xe4','\x6e','\x26','\xbb','\xfe','\x9d','\x22',
'\x12','\x67','\x55','\x98','\x2f','\xc9','\xcd','\x4e','\x77','\xe9','\x79','\x4c','\x34','\xdc','\xab','\x05',
'\x0d','\xdb','\xaa','\x1b','\xef','\xc6','\xb0','\x81','\x7a','\xab','\x42','\x7c','\x41','\xef','\x76','\xb0',
'\xea','\xcb','\x6b','\x2b','\x61','\x44','\x84','\xcc','\xc0','\x95','\xdd','\xf2','\x96','\x8a','\x84','\x5d',
'\xd1','\xae','\x4f','\xa7','\xeb','\xf4','\x99','\x76','\x5a','\x4a','\x11','\x80','\x23','\x38','\xc5','\x23',
'\xb6','\x25','\x37','\x39','\xfd','\xa1','\xe5','\x19','\x55','\x62','\x8f','\x32','\x36','\x06','\x0f','\xfc',
'\xde','\x17','\xc0','\x2e','\x6c','\x9f','\x2e','\xd7','\x2f','\x53','\x6d','\x73','\xec','\x21','\xc6','\x21',
'\x90','\x41','\x39','\x17','\x01','\x3f','\xf2','\x5d','\x3b','\x0e','\x95','\x4c','\xe3','\xad','\x18','\xd1',
'\x20','\xaf','\xb3','\x64','\x2c','\x0f','\xaa','\xbe','\xbe','\x96','\x16','\x44','\x6c','\x4c','\x1e','\x7c',
'\xfd','\x2f','\x05','\x0d','\xda','\xba','\x19','\xee','\xd2','\xf2','\x88','\x6a','\xb9','\x43','\x49','\x13',
'\xa6','\x47','\x36','\xeb','\xdf','\x28','\x32','\x73','\x57','\x91','\xbb','\x9b','\xcc','\xfe','\x75','\xa2',
'\xcc','\x8e','\x75','\x45','\xbc','\x4e','\x93','\xa9','\xbf','\xa9','\xe4','\x19','\x57','\x42','\x8b','\x30',
'\x1e','\x82','\x1d','\xdc','\xfa','\x15','\xaa','\x8a','\xfe','\xfd','\x22','\xd4','\x07','\xd5','\x5f','\x57',
'\xca','\x0b','\x28','\x97','\x22','\x07','\x37','\x7e','\x8d','\x2b','\xa2','\x75','\x1e','\x0c','\xfd','\xc8',
'\x75','\xcd','\x3c','\x56','\x1a','\x09','\xa5','\x42','\x60','\x81','\xd6','\x6a','\x00','\xd3','\x30','\xab',
'\xd2','\x7c','\x68','\x7e','\x36','\x9b','\xdf','\xcf','\x42','\xb3','\xb1','\x7d','\xb8','\x7c','\xbb','\x4e',
'\x9d','\x49','\xa3','\xa7','\x3c','\x85','\x2a','\xa2','\x77','\x3e','\x08','\xff','\xe0','\xf1','\xdf','\x1c',
'\x72','\x18','\x63','\x01','\xd0','\x02','\x8d','\xd5','\x42','\x86','\xe1','\x14','\x8d','\xf8','\x92','\xde',
'\xcc','\x70','\x95','\xb6','\x43','\x56','\xe3','\x99','\x58','\xba','\x14','\x3f','\xd8','\xfd','\x6d','\x24',
'\x9d','\x9a','\x93','\x0c','\xee','\xf9','\x42','\xdc','\x41','\xa5','\xd7','\x30','\xa2','\x42','\x6e','\x61',
'\xca','\x64','\xd8','\x4f','\x4d','\x4b','\x2e','\x72','\x7e','\x03','\xcb','\xb6','\xfa','\xc6','\x9a','\x21',
'\x2c','\x81','\x4a','\xaa','\x31','\x4e','\x80','\x98','\x88','\xb8','\x99','\xea','\x9a','\x7b','\x8c','\x30',
'\x10','\x62','\x01','\xd2','\x22','\x89','\xd7','\x6a','\x02','\xf3','\x34','\xa9','\xfa','\xf8','\x7a','\x5e',
'\x12','\x99','\xb5','\x6b','\xd0','\xd1','\xbd','\x7e','\x90','\xfa','\x89','\x6a','\xbb','\x63','\x4d','\x11',
'\x8e','\xc3','\x24','\xcb','\xfb','\x2a','\x58','\xd7','\xc5','\xf3','\xb7','\x98','\xe4','\x78','\x47','\x86',
'\xea','\xa4','\x9b','\xf3','\x0e','\x08','\x9d','\xc0','\x33','\xbd','\xb4','\x31','\x72','\x40','\xe3','\xb4',
'\x88','\xe2','\x39','\x5b','\xc0','\xb3','\xbc','\xac','\xb2','\x73','\x5e','\x00','\xb9','\x90','\x79','\xb8',
'\x74','\x3b','\x5e','\x95','\xe9','\xb3','\xed','\xbc','\x15','\x22','\x0a','\xe6','\x74','\x82','\xce','\xec',
'\x51','\xc7','\xd6','\xe2','\x80','\xcb','\xb9','\x0b','\xc8','\x97','\xec','\xe6','\xb7','\xb3','\x54','\x2c',
'\x6c','\x9a','\x7e','\xdd','\x2a','\x17','\x27','\x5f','\xbc','\x7b','\xc3','\xc0','\x8a','\x2d','\xcd','\x89',
'\x06','\x7b','\xbd','\x21','\x61','\x51','\xd4','\xe7','\xd5','\x91','\xb6','\x4a','\xc6','\xf1','\x90','\xec',
'\xe8','\x57','\xaf','\x5a','\xf4','\xf0','\xe7','\x9e','\x21','\x24','\x01','\x5a','\xa2','\x91','\x5e','\xca',
'\x18','\x18','\xb0','\x31','\x7b','\xd0','\xf1','\xbd','\x3c','\xb0','\x7a','\xcb','\x42','\xba','\x21','\x6f',
'\xb1','\xc8','\xe9','\x0d','\x0d','\xcb','\xaa','\x3a','\xff','\x86','\x91','\x15','\x7a','\x8a','\x53','\x2c',
'\x62','\x7a','\x62','\xd3','\xf2','\x8b','\x5a','\xbf','\x40','\x75','\xd5','\xbd','\x77','\x00','\xe8','\x80',
'\xde','\xe9','\x20','\xdd','\x93','\x87','\x5e','\xe7','\xc8','\x40','\x9d','\x55','\x63','\x9e','\x20','\x35',
'\x13','\x59','\xb7','\xc7','\x15','\xd3','\x1a','\x0b','\x84','\x56','\x60','\xa8','\x46','\x3a','\x29','\xe7',
'\x20','\xc0','\x43','\xbc','\x43','\x43','\xb3','\xb2','\x4d','\xbe','\x7f','\x87','\x88','\x86','\x79','\x95',
'\xa4','\x63','\x73','\xf1','\xf1','\xfd','\x3c','\x34','\x3a','\xcb','\xc7','\xea','\x23','\xeb','\xf5','\x88',
'\x64','\x59','\x5f','\x47','\xcb','\x3a','\x3a','\xd6','\x17','\xd1','\x3e','\x4f','\x8e','\x7a','\xb4','\xb2',
'\x43','\x5e','\x63','\x89','\x50','\x1a','\x04','\x75','\x58','\x6d','\x65','\x8c','\x0c','\xd0','\x19','\x3d',
'\xe2','\x59','\x5a','\x16','\xd1','\x3d','\x7f','\x88','\x79','\x88','\x74','\x58','\x6e','\x55','\x8a','\x0f',
'\xec','\xdf','\x26','\xd2','\x6f','\x59','\x49','\x27','\xe6','\x2c','\x02','\x7b','\xb4','\xb1','\x73','\x58',
'\x60','\xb5','\x96','\x01','\x34','\x43','\x5b','\x32','\x93','\x57','\x5f','\x5a','\x1b','\x01','\x27','\x72',
'\x6c','\x23','\xee','\xa4','\x92','\x63','\x1c','\x01','\x29','\x92','\x70','\x2d','\x36','\x38','\xef','\x83',
'\xe0','\x0f','\x3f','\xef','\x8d','\x00','\x13','\x31','\x37','\x11','\x7d','\xf3','\xcd','\x39','\x07','\x00',
'\x0e','\xe0','\x1c','\x0e','\xd8','\x9c','\x7d','\xe0','\xfc','\x0e','\x16','\x7d','\xfd','\x2d','\x25','\x09',
'\xd8','\x92','\x9d','\xfc','\xf2','\xd6','\x8a','\x00','\x1d','\xd1','\x2b','\x1f','\xa5','\x6f','\xb0','\xd9',
'\xfb','\x0e','\x18','\x9d','\xe1','\x23','\xfd','\x95','\xa5','\x72','\x61','\xf2','\xe4','\xab','\x77','\x2d',
'\x38','\xd8','\xf3','\x8d','\x38','\x93','\x42','\x0f','\x71','\x0e','\x05','\x4c','\xca','\x3c','\x58','\xfa',
'\x15','\xab','\x9a','\xfc','\xfc','\x36','\x96','\x0e','\xc5','\x4d','\x56','\xff','\x59','\x61','\xa6','\xa4',
'\x06','\x23','\x3d','\x94','\x39','\xb1','\x60','\x69','\x57','\xa4','\xeb','\xf2','\xf9','\x7a','\x5c','\x32',
'\x9d','\xb7','\x43','\x54','\xc3','\x9d','\x5a','\x92','\x90','\x2d','\xf8','\xd9','\x6f','\x4e','\x39','\x08',
'\xf1','\x00','\xed','\xd1','\xc4','\xee','\x65','\x83','\xfd','\xde','\x14','\xf0','\x28','\x6f','\xa3','\xe8',
'\xcc','\x1f','\x65','\x6e','\x2c','\x1a','\xfa','\x95','\xab','\x92','\x7d','\xfc','\x3c','\x37','\x0a','\xcd',
'\xc4','\xd6','\xe5','\xf0','\xc5','\xbe','\x67','\x06','\xa9','\x9c','\x98','\xb0','\x38','\xea','\xd2','\xfa',
'\x08','\x7a','\xb1','\xe3','\x59','\x59','\x26','\xd7','\x3e','\x43','\x4e','\x62','\xb8','\x42','\x5b','\x31',
'\xa3','\x51','\x5c','\x66','\xdd','\x1a','\x17','\x44','\x6f','\x7c','\x18','\x7f','\xc1','\xe9','\x1e','\x3d',
'\xec','\xb9','\x46','\x18','\x09','\xa1','\x02','\x68','\x85','\x86','\x62','\x25','\x93','\x78','\xaf','\x06',
'\x34','\x4d','\xbb','\x2e','\x9d','\x8f','\xc3','\x27','\xfb','\xfd','\x29','\x64','\x11','\xde','\xc3','\x81',
'\x9b','\xbb','\x8e','\x9c','\xd5','\x60','\xa6','\xa7','\x36','\x25','\x3e','\xa8','\xff','\xaa','\x50','\x5f',
'\x54','\xfb','\x1d','\x29','\xaa','\xf0','\x5e','\x0e','\x58','\x9c','\x75','\x61','\xfc','\x04','\xb7','\x79',
'\xf5','\xa4','\xa5','\x13','\x71','\x36','\x85','\x3f','\xf2','\x5c','\x2b','\x0c','\x94','\x58','\xa1','\xa4',
'\x08','\xc3','\x21','\x9a','\xe1','\x2d','\x1d','\x89','\xab','\xaa','\xfd','\x8f','\x04','\x57','\x79','\x3b',
'\x45','\x25','\xde','\xa8','\x31','\x4b','\xd0','\x92','\x8d','\xfc','\xd3','\xc6','\xca','\x21','\x89','\xd1',
'\x0a','\x0e','\xf5','\x4c','\x25','\xcd','\x98','\x16','\x58','\xac','\x75','\x02','\xcc','\xc4','\xd4','\xc5',
'\xf4','\xc7','\x96','\xe3','\x14','\x89','\xb8','\x9a','\xda','\x9c','\x78','\xb0','\xf6','\x0b','\x52','\x37',
'\xd1','\x7d','\x7f','\x0c','\x39','\x88','\xf1','\x08','\x6c','\xd1','\xce','\x4f','\x61','\x8b','\x74','\x5e',
'\x0e','\x59','\x8c','\x77','\x60','\xe8','\x46','\xbe','\x69','\xe7','\xa5','\x90','\x41','\x38','\x07','\x03',
'\x3e','\xe6','\x1f','\x32','\x1e','\x87','\x4d','\xd6','\xff','\x51','\xe0','\xa6','\xae','\xa7','\x27','\x35',
'\x1d','\xb9','\xab','\xc9','\xcd','\x4f','\x67','\xeb','\x78','\x58','\x76','\xd5','\xbb','\x17','\x0c','\xee',
'\xf8','\x52','\xde','\x40','\xb1','\x95','\x39','\xb2','\x50','\x6f','\x54','\x98','\x2d','\xe9','\xc9','\x4c',
'\x5f','\x6d','\x6b','\x6c','\x10','\xde','\xc1','\xa1','\x9f','\xb9','\xa6','\x18','\xc7','\x40','\x82','\xa5',
'\x5c','\x81','\xac','\xca','\xf3','\xa9','\x78','\xd9','\x66','\xdf','\x3b','\x03','\x44','\x46','\xec','\x48',
'\x56','\xf5','\xf9','\x75','\xac','\x2c','\x92','\x7b','\x9d','\x20','\x33','\x73','\x55','\xb1','\xbf','\x99',
'\xe4','\x7a','\x67','\x82','\xe8','\x8c','\x1f','\xe1','\x2e','\x2c','\x9f','\xaa','\x97','\x2f','\xd6','\x3d',
'\x71','\x68','\x65','\x86','\xac','\xc4','\x13','\xb5','\x76','\x01','\xfa','\xa2','\xdb','\xff','\x4a','\x50',
'\x91','\xb5','\x7b','\xd0','\xf0','\xad','\x3e','\xb1','\x6e','\x89','\x4b','\xaa','\x33','\x6e','\x84','\x9a',
'\xa0','\x3c','\x8b','\xca','\xbe','\x79','\xe6','\x94','\x82','\x00','\x0d','\xd1','\x0a','\x0f','\xe5','\x4e',
'\x24','\xd9','\xda','\x1f','\x48','\xbe','\x74','\x37','\x9e','\x8d','\xe5','\x43','\xf5','\xd3','\xd5','\xfa',
'\x06','\x9a','\xad','\xed','\x81','\xc5','\x5b','\x37','\xc2','\x4d','\x58','\x1f','\x45','\x6f','\x7e','\x38',
'\x7b','\xc3','\xc1','\x9a','\x2f','\xcc','\x9d','\x44','\x72','\xad','\x33','\x60','\x64','\x86','\xae','\xe4',
'\x17','\xb7','\x5e','\x85','\xe8','\x82','\xff','\xfd','\x20','\xf4','\x03','\xd7','\x77','\xd3','\xd8','\x2b',
'\x0c','\x95','\x48','\xa3','\xa5','\x1c','\x81','\x28','\x8a','\xf3','\x2c','\x28','\xdb','\xe2','\x9b','\x7b',
'\x8e','\x10','\x14','\x60','\x29','\x56','\x30','\xa9','\xf3','\x68','\x68','\x57','\xa6','\xcb','\xf6','\xfb',
'\x52','\xd8','\x20','\xbd','\x93','\x41','\x3e','\x67','\x0f','\x38','\x9e','\x93','\x05','\x7e','\xeb','\x4b',
'\x68','\x13','\xe6','\x47','\xb2','\xab','\xdf','\xad','\x62','\x71','\xd3','\xd5','\xfb','\x16','\x98','\xac',
'\xf9','\xc3','\xcc','\x4b','\x25','\xc3','\x78','\x0a','\x56','\x74','\xe9','\x7f','\x2c','\x38','\xda','\xd3',
'\x89','\x3a','\xbb','\xc6','\x1d','\x51','\x2a','\x07','\x26','\x6e','\xae','\x3a','\xf6','\x16','\x83','\x1c',
'\xce','\xd8','\x10','\xbc','\xe0','\x73','\xff','\x10','\xf1','\x30','\xed','\xb2','\xf4','\x2e','\x06','\x3f',
'\xfc','\xbd','\x27','\x00','\x4d','\xd0','\x9e','\x4d','\xe4','\xdf','\x36','\xd2','\x4e','\x49','\x09','\x06',
'\x72','\x2c','\x23','\x6a','\xe4','\x92','\xe6','\x4c','\x03','\xad','\xd6','\x30','\xa0','\x62','\x6a','\x63',
'\xe2','\xe0','\xca','\x6f','\x69','\x49','\x44','\xd6','\xec','\x61','\xc7','\xb5','\xd2','\x40','\xa8','\x05',
'\x0a','\xab','\xa4','\x1c','\x83','\x08','\x8e','\xf1','\x04','\xac','\xc9','\xc2','\xbf','\x79','\xe4','\xb4',
'\x86','\x02','\x25','\x55','\x18','\x2f','\xc1','\x4c','\x4e','\x7d','\x48','\x7d','\x44','\xbd','\x5c','\xb1',
'\xac','\xa9','\xc3','\x69','\x1b','\x65','\x67','\xbc','\x08','\xf3','\x21','\xf9','\xd1','\xed','\x7e','\x35',
'\xaa','\xc9','\xce','\x7f','\x61','\xe8','\x44','\x9e','\x6d','\xe5','\x8d','\x14','\x53','\x18','\x23','\x01',
'\x54','\x42','\x8d','\x50','\x12','\x84','\x65','\x50','\xcd','\x75','\xc6','\x8c','\x40','\x11','\x95','\x73',
'\x13','\xd0','\x27','\xdd','\x9d','\x67','\x42','\xe9','\x10','\xdc','\xe0','\xb5','\x9f','\x90','\x36','\x48',
'\xee','\x74','\x92','\xce','\xcd','\x41','\x87','\xf7','\x76','\x80','\xea','\xa8','\x5b','\xeb','\x02','\xf8',
'\x85','\xaf','\xf3','\x65','\xb8','\x4d','\xab','\x2f','\xac','\x9d','\x82','\x12','\x2d','\xf4','\x18','\x67',
'\x40','\xc8','\x04','\xdc','\xc9','\x25','\xcf','\xb9','\x02','\x58','\x85','\xe5','\x52','\xe5','\xf0','\xc4',
'\xae','\x65','\x07','\xbd','\xde','\x91','\xa0','\x2a','\xeb','\xe7','\xa8','\x41','\x4b','\x37','\xe2','\x4d',
'\x1a','\x3f','\xc5','\x2d','\x56','\x39','\x39','\xe1','\x61','\xdc','\x05','\xe5','\x5b','\x74','\xf2','\xcf',
'\x1b','\x23','\x06','\x24','\x4c','\x8a','\x3c','\xdc','\xba','\x15','\x2e','\xca','\xfe','\x78','\x72','\xd6',
'\x83','\x91','\x1f','\xda','\x9e','\x59','\xa4','\xf6','\x22','\xc2','\x67','\xf8','\x49','\x6f','\x67','\xa8',
'\x48','\xda','\x35','\xe9','\xf8','\x5c','\x3e','\x5c','\xbf','\x4d','\xa5','\xcf','\xb0','\x93','\x5a','\x8e',
'\x50','\x14','\xe4','\x69','\x56','\xb5','\xf9','\xf1','\xec','\x2c','\x17','\x2b','\x9f','\xa4','\x77','\x33',
'\xd8','\xe5','\xed','\x15','\x85','\x7a','\xa2','\xd2','\x6e','\x48','\x5b','\x24','\xf3','\x7a','\x49','\x62',
'\xb6','\xa2','\x47','\x3f','\x7b','\xcd','\x21','\x86','\x21','\x14','\x01','\x39','\x92','\x51','\x3d','\x76',
'\x19','\x7b','\x83','\xc1','\x1e','\x6f','\xcc','\x18','\x14','\x70','\x29','\x77','\x20','\xe9','\xd2','\xfc',
'\x68','\x76','\xb7','\x9b','\xd5','\x6e','\x46','\xbb','\x38','\xfd','\xa2','\xd5','\x1f','\x56','\x5e','\x49',
'\x29','\x06','\x30','\x0c','\xa3','\x28','\xcc','\x93','\xa4','\x6e','\xa3','\xeb','\xfc','\x19','\x66','\x52',
'\xea','\x01','\xca','\xa3','\xa8','\xcd','\x8b','\x27','\x6f','\xbd','\x08','\xf1','\x01','\xfd','\xd3','\xc5',
'\xfa','\x27','\x8a','\xed','\xcc','\x15','\xc5','\x7a','\x26','\x92','\x6e','\xcd','\x0b','\x26','\x77','\x3e',
'\x09','\xef','\xe2','\xf0','\xcb','\x5e','\x7b','\x08','\x71','\x00','\xe5','\x50','\xc4','\xe4','\xc4','\x87',
'\xf5','\x57','\x94','\xea','\x81','\xcb','\xbb','\x2b','\xcc','\x95','\xc4','\x62','\xa5','\x93','\x70','\x2e',
'\x06','\x3e','\xec','\xbf','\x26','\x14','\x0f','\xd9','\x8e','\x5f','\xe5','\xea','\x64','\x9b','\x7f','\xcf',
'\x08','\x12','\x31','\x35','\x31','\x79','\xf1','\xe5','\xbd','\x15','\x20','\x2a','\xe2','\x76','\xaa','\x4a',
'\xfe','\x71','\xe3','\xd4','\x88','\x24','\x59','\xdb','\x07','\xcb','\xbf','\x6a','\xd4','\x93','\x95','\x7e',
'\xc2','\xda','\x28','\x38','\xd3','\x43','\x9b','\x33','\x0f','\x94','\x5e','\xc1','\xa8','\x0e','\xbb','\xad',
'\xad','\x81','\x41','\x1b','\x37','\x47','\x1d','\x5a','\x9b','\x01','\x2f','\xf3','\x6c','\x29','\x4f','\xa0',
'\x9a','\xea','\x9c','\x1b','\x80','\x36','\x68','\xee','\x36','\xb2','\x4e','\x8f','\x69','\x86','\xb5','\x54',
'\x20','\xac','\x82','\x72','\x2d','\x32','\x78','\xe7','\x87','\xb0','\x07','\x1a','\xaf','\xc5','\x04','\xc7',
'\x79','\x12','\xd4','\x65','\xf5','\x9d','\x35','\x62','\x48','\x42','\xb4','\xc0','\x63','\xbd','\x11','\x61',
'\x32','\xe4','\x27','\xb6','\x2d','\xb7','\x29','\xf5','\x01','\xf5','\x53','\xd5','\xf2','\x87','\x9a','\xa7',
'\x4c','\x85','\xcd','\xd2','\xb7','\xd8','\xe4','\xfc','\x07','\x86','\x6f','\xf4','\x99','\x77','\x4a','\x48',
'\x10','\x94','\x61','\x31','\xd5','\x31','\xb7','\x10','\x65','\x70','\xcc','\x27','\xe4','\x0d','\x16','\x7b',
'\x9d','\x21','\x23','\x71','\x54','\xa5','\xfd','\x90','\xf4','\x68','\x66','\xb7','\xba','\xc5','\x2e','\x67',
'\x2f','\x38','\xdc','\xb3','\x85','\x3c','\xc3','\x4a','\x2a','\x31','\x46','\x01','\x98','\x82','\x19','\x9d',
'\xe2','\x13','\xfb','\x96','\x99','\xb4','\x7a','\xc2','\xd2','\xa8','\x28','\xdb','\xe3','\x8b','\x79','\x8f',
'\x04','\x56','\x69','\x39','\x44','\x31','\x9c','\xa1','\x21','\x59','\xd1','\xa7','\xdf','\xb5','\xe2','\x40',
'\xcb','\x35','\xca','\xc8','\x18','\x1d','\xe0','\x3b','\x7e','\x94','\xbb','\x91','\x6c','\xea','\x7f','\x2a',
'\x58','\xd6','\xd5','\xf1','\xb6','\x8c','\xa6','\x71','\x57','\x94','\xeb','\x91','\xc9','\xba','\x3f','\x8e',
'\x9c','\xd4','\x70','\xa4','\xa6','\x22','\x67','\x37','\xb8','\xed','\xab','\x65','\x0d','\x1d','\xca','\x9b',
'\x28','\xbe','\xb3','\x47','\x1c','\x4b','\x89','\x02','\x3a','\xa5','\x27','\x30','\x4d','\xb3','\xae','\x8d',
'\x87','\x63','\x37','\xb1','\x7d','\xb9','\x6c','\xb9','\x4f','\x89','\x0b','\xaa','\xb7','\x2e','\x84','\x1f',
'\xf0','\x3e','\x0f','\x8e','\xfe','\xf4','\xb2','\xc6','\x0e','\x61','\x0d','\x14','\x5a','\x89','\x21','\x0a',
'\xe1','\x04','\x8c','\xc9','\x80','\x9f','\xf9','\xa6','\x9c','\x87','\x40','\x07','\xf5','\x5e','\x05','\xe8',
'\x8a','\x7e','\xfd','\x2a','\x55','\x07','\xdf','\xfe','\x53','\xc2','\x82','\xa8','\x8d','\x8b','\xa3','\x2f',
'\xbd','\x8d','\xa1','\x03','\x79','\x97','\x85','\x77','\x73','\xd8','\x61','\xad','\x15','\x00','\x2a','\xa0',
'\x56','\x2a','\x08','\xd6','\x70','\xa1','\xf6','\x28','\x62','\x73','\xf2','\xc1','\xfb','\x3f','\x08','\xfc',
'\xd0','\xf7','\xdc','\x20','\xb4','\x03','\x53','\x37','\xd3','\x5d','\x7b','\x0e','\x11','\x0c','\xe3','\x28',
'\x48','\xd3','\xa4','\xeb','\xf3','\xe9','\x78','\x5d','\x26','\xdf','\xbe','\x53','\x46','\xc2','\xa8','\x08',
'\xdb','\xa1','\xab','\xf9','\xcd','\x2c','\x57','\x2b','\x1b','\xe4','\x77','\xb6','\x88','\xe7','\x69','\x51',
'\xc5','\xf7','\xf6','\x80','\xe2','\x29','\x5b','\xe1','\xa3','\xfc','\x8d','\x26','\x73','\x7f','\x11','\xe9',
'\xb3','\xec','\xac','\x17','\x23','\x1e','\xa4','\x7d','\x92','\xdc','\xed','\x64','\x95','\x9f','\xd3','\x06',
'\xca','\xad','\x48','\xd1','\x85','\xff','\xf3','\xc0','\xe8','\x0d','\x0f','\xeb','\xae','\x38','\xd7','\x02',
'\x83','\x35','\x5e','\x88','\x39','\x88','\xf0','\x18','\x6e','\xd0','\xda','\x0d','\x68','\x9b','\x66','\x5f',
'\x3b','\x0b','\xc5','\x46','\xe6','\xe9','\x52','\xfd','\x70','\xf5','\xb6','\x85','\x36','\x63','\x5e','\x20',
'\xb9','\xd2','\x59','\x38','\x36','\x13','\x5f','\xd7','\xcb','\x13','\xab','\x96','\x3c','\xe4','\x3a','\x66',
'\x16','\xaa','\x8d','\x8e','\xf3','\x25','\xb8','\xc9','\xeb','\x2f','\x29','\xcd','\x80','\x96','\x69','\xb4',
'\x95','\x33','\x12','\x44','\x65','\xdc','\x0c','\x75','\x49','\x7d','\x46','\x9d','\x58','\xb3','\x84','\x2d',
'\xd1','\x49','\x3f','\x67','\x0d','\x18','\x9a','\x91','\x2d','\xfa','\xf9','\x6b','\x4c','\x11','\x8c','\xe3',
'\x20','\xc9','\xd3','\xae','\x4a','\xf7','\xe1','\xf1','\xdd','\x3c','\x76','\x1a','\x4b','\x85','\xc2','\x22',
'\xa9','\xd7','\x28','\x22','\x73','\x76','\x81','\xfb','\xba','\x58','\xfe','\x54','\xb3','\x9c','\xad','\xe0',
'\x51','\xdf','\x56','\xd3','\x98','\x2b','\x88','\xd5','\x48','\x26','\xf5','\x1e','\x05','\x6c','\xca','\x7e',
'\x78','\x7a','\x57','\x83','\x9b','\xbe','\xde','\x96','\xd0','\x24','\xec','\x8b','\x66','\x7f','\x3b','\x49',
'\xe5','\xc6','\xa4','\xc1','\x53','\xbf','\x52','\x55','\xf0','\xaf','\x1f','\xa5','\x6e','\xa0','\xdb','\xfa',
'\x1a','\x5a','\x94','\xf1','\x31','\xfc','\xa0','\xf7','\x3b','\x50','\x74','\xe5','\xbf','\x34','\x34','\x2a',
'\xcb','\xe6','\xfa','\x63','\xca','\x61','\x88','\x45','\x48','\x0f','\x64','\x5e','\x2e','\x59','\xce','\x57',
'\xe0','\xaa','\x6e','\xbf','\x2b','\xc5','\x05','\xd6','\x6b','\x11','\xc1','\x33','\xbe','\x84','\x37','\x71',
'\x7c','\x25','\xaf','\xb8','\xd4','\x3a','\x04','\x36','\x68','\xef','\x26','\xb0','\x4f','\x9b','\x2b','\x8f',
'\xa5','\x46','\x21','\x99','\xd0','\x3b','\x1c','\xb4','\x79','\xf3','\xc4','\xa9','\x15','\x09','\xba','\xb2',
'\x5f','\x9e','\x5a','\x95','\xe0','\x23','\xff','\xb5','\xa1','\x70','\x49','\x76','\xf6','\x8b','\x53','\x2f',
'\x52','\x7c','\x61','\xef','\x34','\x90','\x6a','\x89','\x43','\x2a','\x23','\x66','\x24','\x8a','\xea','\xbc',
'\x1b','\xc2','\x16','\xe8','\xac','\x1e','\xb3','\x0c','\xad','\xc9','\xc0','\x9f','\x7d','\xe6','\x9c','\x02',
'\x10','\x05','\x71','\x1a','\x45','\x65','\xde','\x2c','\x71','\x4b','\x55','\xc2','\x8f','\x78','\x97','\x86',
'\x47','\x75','\xdb','\x5d','\x6b','\x0e','\x30','\x1c','\xa3','\x09','\xdc','\xd3','\x85','\xfa','\xa3','\xca',
'\xed','\x49','\x45','\xc7','\xfe','\x62','\xd2','\xe3','\x99','\x59','\xaa','\x16','\x3e','\xcc','\xbf','\x64',
'\x34','\x8f','\x9b','\xa6','\x5e','\xa7','\xc8','\xc4','\xdd','\x55','\xe6','\xce','\x22','\xb1','\x57','\x19',
'\x3a','\x93','\x47','\x5f','\x7b','\x0b','\x41','\x06','\xe6','\x6c','\x02','\xff','\xf4','\xb1','\xf6','\x08',
'\x62','\x31','\xd2','\x41','\xb9','\x17','\x09','\xbe','\xf2','\x57','\x9a','\x0a','\x9d','\xc5','\x63','\xb7',
'\xb1','\x75','\x38','\x6c','\xb3','\xee','\x8d','\x03','\x23','\x37','\x34','\x2d','\xbb','\xe8','\xfd','\x0f',
'\x04','\x5f','\xf8','\x3b','\x4f','\x84','\xda','\xa0','\xb8','\xcb','\xca','\x3b','\x29','\xe4','\x10','\xc6',
'\x40','\x80','\x85','\x58','\x83','\x84','\x4e','\xe1','\x89','\x5c','\xdb','\x0c','\x7b','\xa9','\x61','\x48',
'\x45','\xc4','\xce','\x64','\xd1','\xdf','\x5f','\x42','\x9a','\x20','\x3d','\x93','\x49','\xbf','\x67','\x05',
'\x99','\x9a','\x9b','\x8c','\xfe','\xf1','\xe2','\xcc','\x0b','\x25','\x47','\x38','\x0a','\xd3','\x24','\xeb',
'\xfb','\x68','\x78','\x57','\x87','\xdb','\xb6','\xda','\xc6','\xd8','\x01','\xac','\xc3','\x62','\xab','\x73',
'\x6c','\x20','\xde','\xa2','\x91','\x5f','\xda','\x1a','\x19','\xa4','\x73','\x72','\xc0','\xe3','\xbc','\x09',
'\xe2','\x33','\xfa','\xc4','\xbb','\x35','\x2c','\xa8','\xda','\xfa','\x18','\x7a','\x90','\xf3','\x19','\x78',
'\xb2','\xd7','\x1f','\x52','\x1e','\x41','\x2d','\x56','\x38','\x29','\xe3','\x60','\xc8','\x47','\xec','\x4b',
'\x66','\xf3','\xfa','\x49','\x6a','\x37','\xa2','\x4d','\x9e','\x7f','\xc5','\xa8','\x06','\x3b','\xbd','\xa5',
'\x21','\x51','\x51','\xb7','\xd7','\x15','\xf2','\x0a','\x4b','\xa5','\xc2','\x60','\x89','\x57','\x6a','\x0a',
'\x72','\x34','\xa3','\x5b','\xfc','\x72','\xd7','\x92','\x83','\x1c','\xcf','\xc8','\x12','\xbd','\xf4','\x31',
'\xf6','\x00','\xe3','\x31','\xd8','\xe0','\xbd','\x1f','\x80','\x3e','\xe8','\xfe','\x3e','\x12','\x5e','\xc5',
'\xe9','\x16','\xbd','\xfc','\xb1','\xe6','\x08','\x43','\x21','\x92','\x60','\x2d','\x17','\x28','\xaf','\xa2',
'\x74','\x0f','\x1e','\xfe','\xdd','\x23','\x86','\x25','\x54','\x09','\x3d','\xc2','\x59','\x18','\x36','\x51',
'\x7f','\x57','\x89','\x3b','\xaa','\xd4','\x1e','\x44','\x7c','\x4c','\x3f','\x6c','\xbd','\x0e','\x91','\x0d',
'\xfb','\xab','\x49','\xcd','\x47','\xe6','\xeb','\x72','\xf9','\x72','\xdd','\x32','\x97','\x16','\x47','\x5c',
'\x4a','\x1d','\x40','\x3b','\x34','\x35','\x3b','\xd9','\xe5','\xef','\x35','\x81','\x78','\x8a','\x56','\x7c',
'\x68','\x7f','\x26','\x99','\xde','\xdb','\x00','\xba','\xa1','\x6f','\xb9','\x49','\xe9','\x07','\xac','\xcf',
'\xa2','\xb3','\x7f','\x9c','\x38','\xb1','\x62','\x49','\x53','\xa6','\xc3','\x76','\xeb','\x5a','\x78','\x30',
'\xf7','\x13','\xd1','\x36','\xcf','\x9e','\x72','\x14','\xa2','\x09','\xde','\xf3','\x81','\xf8','\x8b','\x4e',
'\xff','\x69','\x61','\xc5','\x94','\xc6','\x40','\x81','\x95','\x5a','\x82','\x90','\x0c','\xe8','\x99','\x4e',
'\xda','\x39','\x29','\xe0','\x50','\xce','\x44','\xd0','\x8d','\x7d','\xc3','\xcc','\x4a','\x35','\xc1','\x79',
'\x1e','\x14','\x7d','\xf9','\x6d','\x2d','\x0d','\x88','\x9a','\xb8','\xbc','\xba','\xd2','\x5e','\x48','\x38',
'\x14','\x33','\x19','\xf5','\x63','\xd5','\x91','\xb7','\x5a','\xc4','\xf0','\x84','\xae','\xe1','\x47','\xbd',
'\x5b','\xc1','\xa2','\xae','\xaf','\xa7','\x25','\x15','\x19','\xbb','\x83','\x4d','\xdf','\x6f','\x43','\xe9',
'\x12','\xfc','\xe4','\xb7','\xb7','\x14','\x24','\x68','\xca','\x76','\xf8','\x6a','\x5f','\x23','\x8b','\xf4',
'\x5e','\x06','\xd8','\x8c','\x7d','\xc1','\xec','\x4e','\x37','\xe9','\xfd','\x0c','\x34','\x59','\xfb','\x07',
'\x89','\x9f','\xea','\x96','\xbb','\x94','\x3c','\xe0','\x7a','\x6e','\x12','\xfa','\x85','\xab','\xb3','\x6d',
'\xbc','\x1d','\xa3','\x0a','\xec','\xd5','\x86','\xc6','\x65','\xd1','\xdd','\x7f','\x46','\x98','\x08','\xb9',
'\x81','\x69','\x9b','\x65','\x6f','\x3d','\x08','\xf9','\x80','\xfd','\xd9','\x64','\xfe','\x2f','\x03','\x6d',
'\xd6','\xbc','\x61','\x62','\xe5','\x92','\xe4','\x6c','\x07','\xaf','\xfe','\xb4','\xb2','\x42','\x4e','\x61',
'\x88','\x44','\x58','\x0d','\x65','\x4a','\x6c','\x50','\xde','\x45','\xe1','\x9f','\x3c','\xf6','\x1a','\x43',
'\x04','\xc2','\x28','\x08','\xd3','\x20','\xab','\xf3','\x6c','\x28','\x5f','\xa2','\x9b','\xfe','\xde','\x12',
'\x90','\x24','\x69','\xdb','\x64','\xfb','\x7f','\x09','\x68','\x92','\xf6','\x4d','\x32','\xbf','\x97','\x05',
'\x76','\x6b','\x5b','\x60','\xb3','\xf6','\x0d','\x32','\x3b','\xd7','\x05','\xf3','\x3b','\x59','\xe4','\xf7',
'\xb6','\x80','\x66','\x69','\x5b','\x64','\xf3','\xfe','\x09','\x62','\x33','\xf2','\x45','\xbb','\x3f','\x8d',
'\xac','\xd2','\x73','\x98','\x60','\x39','\x57','\x01','\xbb','\xb2','\x5d','\xbe','\x5e','\x97','\xc8','\xa7',
'\xed','\x95','\x85','\x72','\x23','\xd2','\x64','\xe9','\x5f','\x2c','\x7a','\xfa','\x53','\xcb','\x12','\xba',
'\x84','\x3f','\xf1','\x6c','\x2d','\x0f','\xa8','\x9e','\xba','\x94','\x3e','\xc0','\x7e','\x6c','\x3a','\x7e',
'\x97','\x8b','\x97','\x6f','\xd6','\xb9','\x31','\x68','\xe0','\xd6','\xae','\x40','\x57','\xf5','\xfb','\x55',
'\xa8','\x2e','\xba','\xff','\x8f','\x00','\x17','\x71','\x3f','\x15','\x2d','\xfb','\xe8','\x79','\x4f','\x04',
'\xda','\xa8','\x39','\xcb','\xc0','\x9a','\x2d','\xec','\x99','\x46','\x5a','\x29','\x21','\x40','\x40','\x84',
'\xc4','\x40','\x85','\xd5','\x52','\x86','\xc0','\x04','\xcd','\xd9','\x06','\xde','\xed','\x61','\xc5','\x95',
'\xd6','\x42','\x80','\x81','\x18','\x8b','\x80','\x1e','\xe9','\xac','\x1c','\x93','\x08','\xaf','\xe1','\x44',
'\x8d','\x5d','\xc2','\x9e','\x68','\xb4','\x97','\x13','\x16','\x46','\x4d','\x58','\x1e','\x55','\x6d','\x7f',
'\x2c','\x39','\xca','\xd1','\x88','\x2e','\xf9','\xcf','\x0d','\x43','\x2b','\x32','\x74','\x27','\x9f','\xbc',
'\xf7','\x02','\xc0','\x05','\xdc','\xcb','\x05','\xcb','\xbb','\x2a','\xdc','\x97','\xc5','\x76','\xe7','\x9a',
'\x60','\x3c','\x07','\x0b','\xbe','\xf6','\x17','\x92','\x0e','\xcd','\xcd','\x46','\xf7','\xf9','\x71','\xec',
'\x24','\x96','\x2b','\x95','\x05','\x73','\x3b','\x51','\x65','\xf7','\xbc','\x21','\x62','\x61','\xd2','\xe4',
'\xe9','\x57','\xad','\x7a','\xf0','\xf2','\xcf','\x1a','\x33','\x04','\x25','\x58','\xc8','\x35','\xcc','\xa8',
'\x14','\x1b','\x98','\xb7','\x49','\xf4','\xd7','\x97','\xd2','\x06','\xc8','\x8d','\x4c','\xd3','\xad','\x7b',
'\xe1','\xe0','\xcc','\x0f','\x65','\x4f','\x3c','\x5a','\xdb','\x01','\xab','\xb3','\x6c','\xac','\x1f','\xa2',
'\x1e','\xae','\xdc','\x96','\xd4','\x64','\xe4','\x8f','\x36','\x77','\x1e','\x09','\xad','\xc2','\x70','\x89',
'\x76','\x7a','\x4a','\x53','\xa0','\xa3','\x7a','\xed','\x22','\xf4','\x07','\x97','\x7f','\xd7','\x88','\x23',
'\x29','\xd5','\x00','\xa7','\x71','\x54','\xa4','\xed','\x92','\xf5','\x7c','\x24','\xbe','\xaa','\xd7','\x2f',
'\x52','\x7d','\x71','\xed','\x35','\x84','\x28','\x80','\x53','\x38','\x22','\x53','\x76','\xc3','\xdb','\x3a',
'\x1a','\xd6','\x55','\xf1','\xbe','\x0d','\xa6','\x7b','\xf6','\x90','\xe3','\x18','\x49','\xa0','\x96','\x2a',
'\x84','\x17','\x70','\x2e','\x07','\x2e','\xee','\xbe','\x32','\x56','\x06','\xc9','\x9c','\x5e','\xd0','\xb8',
'\x2d','\xaa','\xf9','\xce','\x1c','\x51','\x28','\x27','\x22','\x6c','\x86','\xbe','\xe4','\x36','\xa7','\x1e',
'\xa4','\x7c','\x82','\xde','\xec','\x70','\xd7','\x96','\xc3','\x14','\xcb','\x98','\x1a','\x98','\xb4','\x79',
'\xf2','\xd4','\xab','\x14','\x1d','\xf8','\xbb','\x4f','\x8c','\x5b','\xa0','\xb2','\x6a','\xce','\x33','\xa0',
'\x64','\x0a','\x6f','\xe4','\x98','\x46','\x58','\x09','\x25','\x42','\x68','\x00','\xd6','\x60','\xa1','\xd7',
'\x38','\x22','\x52','\x66','\xc1','\xda','\x2e','\x58','\xdf','\x45','\xe3','\xbf','\x38','\xf4','\x32','\xc7',
'\x16','\xe2','\x0c','\x0a','\xb9','\x84','\x39','\x91','\x60','\x2b','\x77','\x24','\xa9','\xda','\xf8','\x38',
'\x7e','\x92','\xdb','\x9d','\x6a','\x92','\xf3','\x1d','\x38','\xba','\xd3','\x4f','\x5a','\x3b','\x01','\x65',
'\x52','\xec','\x61','\xc6','\xa5','\xd0','\x41','\xbc','\x47','\x03','\xbb','\xb6','\x1d','\xb6','\x5a','\xc7',
'\xc0','\x82','\xad','\xdd','\x81','\xa6','\x6b','\xf7','\xa1','\xf1','\x59','\x7c','\x76','\x9f','\x1b','\x87',
'\x46','\x66','\xe9','\x5a','\x7c','\x70','\xff','\x17','\x81','\x3e','\xea','\xde','\x3a','\x10','\x76','\x41',
'\xfb','\x36','\x99','\xfe','\xdb','\x42','\x9a','\x21','\x2d','\x91','\x48','\xab','\x25','\x0c','\x89','\x88',
'\x9a','\xb9','\xac','\xb8','\xd3','\x4a','\x0a','\x31','\x04','\x21','\x18','\xc0','\x31','\x9c','\xa0','\x31',
'\x5b','\xd0','\xb3','\x9d','\xbc','\xf2','\x52','\xca','\x00','\x98','\x81','\x29','\x9b','\xe1','\x2f','\x3d',
'\x8d','\xa9','\x82','\x79','\x9d','\x24','\x73','\x7b','\x51','\xe1','\xb7','\xbc','\xa4','\x32','\x63','\x56',
'\xa0','\xa9','\xda','\xf9','\x28','\x7c','\x93','\xcf','\xdf','\x63','\x82','\xe1','\x1c','\x0d','\xe8','\x9a',
'\x7e','\xdc','\x3a','\x15','\x26','\x4b','\xfe','\x72','\xd3','\xd2','\x8b','\x18','\x9f','\xc0','\x37','\xfd',
'\xbc','\x35','\x22','\x48','\xc6','\xf4','\xc0','\xe6','\xed','\x13','\xe5','\x76','\xa4','\xaa','\xe2','\x7f',
'\x3b','\x48','\xf5','\xc4','\xa5','\xd5','\x11','\xb6','\x42','\x47','\xf1','\x9a','\x4d','\xec','\x5f','\x26',
'\xda','\xee','\x59','\x43','\x86','\xe2','\x24','\x8b','\xfb','\xae','\x18','\xd7','\x40','\xa3','\xb5','\x1c',
'\xa0','\x38','\xca','\xd2','\xb8','\x28','\xfa','\xf3','\xcb','\x58','\x1b','\x04','\x77','\x78','\x69','\x67',
'\xa4','\x88','\xc2','\x39','\x19','\xe0','\x33','\xfe','\x84','\xb3','\x31','\x7c','\xa0','\xff','\xba','\x50',
'\x7e','\x44','\xbb','\x3c','\xbd','\xaa','\xd1','\x4f','\x5e','\x7b','\x09','\x61','\x02','\xe4','\x44','\x86',
'\xed','\xd4','\x95','\xf4','\x62','\xc6','\xa3','\xb0','\x4d','\xba','\x3f','\x8f','\x8c','\xd6','\x71','\xb0',
'\xe4','\x2b','\x77','\x25','\xb9','\xd8','\xf9','\x2c','\x3c','\x9b','\xcb','\x8f','\x6b','\xa7','\xa1','\x54',
'\x09','\x3c','\xd2','\x5b','\x19','\x22','\x13','\x76','\x47','\x9b','\x3a','\x9f','\x86','\x57','\x75','\xfa',
'\x4d','\x2b','\x2f','\xa4','\x1c','\x82','\x18','\x8c','\xf0','\x10','\xee','\xc0','\xd2','\xad','\x78','\xd1',
'\xe6','\xcf','\x33','\xa3','\x54','\x0c','\x6c','\xd8','\x5e','\x5d','\x68','\x3f','\x26','\x1d','\x9e','\xdb',
'\x85','\xea','\xa3','\xeb','\xfd','\x09','\x64','\x53','\xfe','\x43','\xc3','\xb3','\xba','\xcc','\xbe','\x75',
'\x26','\x8c','\x8e','\xf0','\x15','\xbe','\xca','\xd7','\xe9','\x32','\xfd','\xb6','\x95','\x36','\x42','\x4e',
'\x60','\x98','\x46','\x59','\x19','\x27','\x43','\x7c','\x42','\xdf','\x70','\xb3','\xd6','\x0d','\x70','\x1b',
'\x57','\x47','\xdb','\x3a','\x1b','\xc6','\x57','\xf0','\xaa','\x4f','\xaf','\x6b','\xe4','\x91','\xd6','\x4a',
'\x00','\x91','\x10','\x2b','\x90','\x54','\x69','\x3c','\x14','\x3b','\x99','\xe5','\x6b','\x75','\x81','\xfd',
'\xda','\x54','\xf8','\x2c','\x3f','\xab','\xcd','\x8c','\x57','\x61','\xba','\x64','\x3f','\x3f','\x8d','\xad',
'\xc2','\x71','\x99','\x74','\x7b','\x5e','\x11','\xa9','\xb3','\x68','\xec','\x17','\xa6','\x4e','\xa6','\xf9',
'\xd6','\x9c','\x60','\x30','\xc7','\x13','\xb2','\x06','\x0f','\xfd','\xce','\x15','\xc1','\x3a','\x2e','\x96',
'\x3e','\xc5','\x2e','\x66','\x3f','\x3a','\xdd','\xa7','\xc7','\x35','\xd3','\x58','\x2b','\x04','\x14','\x48',
'\xa9','\x04','\x18','\x89','\xa1','\x0a','\xe9','\x85','\x8c','\xc3','\x21','\x9b','\xf1','\x2f','\x1c','\x9d',
'\xe9','\xa3','\xed','\x9d','\x05','\x62','\x2b','\x72','\x74','\xa3','\xdf','\xbc','\x72','\x52','\xc2','\x81',
'\x98','\x8b','\x88','\x9f','\xe9','\xa6','\xbd','\x97','\x00','\x26','\x61','\x5e','\x24','\xf9','\xda','\x5d',
'\x68','\x3e','\x36','\x1f','\x9f','\xcf','\xc7','\xe3','\xb3','\xf9','\xfc','\x3c','\x36','\x1a','\xcf','\xc5',
'\xc2','\xa7','\xf9','\xd5','\xac','\x66','\x33','\xfb','\xd5','\xa9','\x36','\x39','\xfe','\x91','\xe3','\x1a',
'\x69','\xa4','\x94','\x02','\x00','\x05','\x50','\x0a','\x05','\x44','\x4a','\x2c','\x50','\x5a','\x05','\xe1',
'\x1a','\x6c','\xf4','\x9e','\x07','\x44','\x4f','\x7c','\x5a','\x5f','\x41','\xab','\x36','\x3c','\xae','\x9b',
'\xe6','\x5e','\x23','\x88','\xc4','\x58','\x05','\xe4','\x4a','\x66','\xf1','\xda','\x4d','\x68','\x1f','\x26',
'\x5f','\xbe','\x5b','\xc7','\xc2','\xa2','\xa9','\xdf','\xa9','\x22','\x79','\xd7','\x85','\xf3','\x33','\xd8',
'\xe4','\xfd','\x17','\x84','\x6e','\xe0','\xdb','\x7e','\x5a','\x5a','\x11','\xa1','\x33','\x78','\xe4','\xb7',
'\xb6','\x04','\x26','\x69','\xde','\x34','\xf1','\x7a','\x4d','\x22','\xbe','\xa6','\x17','\x37','\x5e','\x8d',
'\x69','\x82','\xf5','\x5c','\x24','\xfc','\x8a','\x57','\x6d','\x7a','\x7c','\x33','\xcf','\x95','\xc2','\x02',
'\xa9','\x95','\x08','\xa2','\x31','\x5e','\x80','\xb9','\x98','\xf8','\xb8','\x7e','\x9a','\x5a','\x9d','\x60',
'\x33','\xf7','\x15','\xb1','\x3a','\xc9','\xe6','\xfe','\x23','\xc2','\x65','\xd8','\x4d','\x6d','\x4f','\x2c',
'\x5a','\xfa','\x11','\xeb','\x92','\xf8','\xac','\x3e','\xb3','\x4e','\x8d','\x49','\x82','\xb7','\x7c','\xa4',
'\xbe','\xa2','\x56','\x2f','\x58','\xdc','\x75','\xe5','\xbc','\x04','\x32','\x29','\xf7','\x20','\xe1','\x53',
'\xfc','\x62','\xd7','\xb3','\x93','\x5c','\xee','\x5c','\x12','\x9c','\xe5','\x61','\xd5','\x95','\xf7','\x52',
'\xc0','\xa0','\x8c','\x8b','\xa1','\x0f','\xb9','\x8f','\x89','\x87','\x6b','\xb7','\xa1','\x75','\x19','\x7c',
'\xf3','\xcf','\x19','\x03','\x02','\x26','\x64','\x0e','\x2e','\xfc','\x9e','\x17','\x44','\x6e','\x6c','\x1a',
'\x7e','\xd5','\xab','\x17','\x2d','\xfe','\xb8','\x73','\x4a','\x40','\x90','\x84','\x69','\x91','\xc5','\x7b',
'\x37','\x80','\x6d','\xd8','\x5d','\x6d','\x6e','\x3c','\x1a','\xdb','\x85','\xeb','\xb3','\xe9','\xfc','\x1d',
'\x26','\x5a','\xee','\x51','\xc2','\x86','\xe8','\x85','\x8f','\xf3','\x27','\x98','\xcd','\xe9','\x07','\xad',
'\xdf','\xa0','\xb2','\x6b','\xde','\x31','\xa1','\x70','\x48','\x66','\xf4','\x8a','\x47','\x6d','\x5b','\x6c',
'\x73','\xee','\x01','\xc2','\x23','\xb8','\xc5','\x2b','\x37','\x25','\x3d','\x98','\xf9','\xa9','\x6c','\x99',
'\x4f','\xcb','\x2b','\x2a','\xf5','\x06','\x85','\x5d','\xd2','\x9e','\x49','\xa4','\xd7','\x32','\x82','\x46',
'\x6c','\x49','\x4e','\x76','\xf8','\x6b','\x4f','\x21','\x8a','\xe0','\x1c','\x0f','\xc8','\x9e','\x7c','\xf4',
'\xbe','\x07','\x06','\x6f','\xfc','\x18','\x77','\x40','\xe9','\x14','\x9c','\xe8','\xb1','\xcf','\x98','\x13',
'\x08','\xa6','\x70','\x46','\x86','\xe8','\x84','\x9f','\xf1','\x26','\x8c','\x8f','\xe0','\x17','\xbf','\xde',
'\x95','\xe0','\x22','\xef','\xb7','\xa0','\x64','\x0b','\x7f','\xe6','\x99','\x52','\x1a','\x00','\x35','\x50',
'\x69','\x35','\x84','\x29','\x90','\x51','\x39','\x36','\x11','\x7f','\xd3','\xc9','\x3b','\x2f','\x84','\x1c',
'\xc0','\x38','\x0c','\xb2','\x38','\xef','\x82','\xf0','\x0d','\x3e','\xfb','\xcf','\x09','\x03','\x23','\x36',
'\x24','\x2f','\xba','\xfc','\xbf','\x06','\x14','\x4d','\xf9','\x0e','\x1d','\xcd','\xeb','\x26','\xb9','\xdf',
'\x89','\x22','\x3b','\xf7','\x05','\xb1','\x1b','\xd9','\xa6','\xdf','\xb7','\xc2','\x44','\xc9','\x1d','\x4e',
'\xda','\x38','\x39','\xe2','\x51','\xda','\x06','\xd9','\x9d','\x6f','\xc2','\xf9','\x18','\x7c','\xf0','\xff',
'\x1f','\x00','\x3e','\xe0','\x7f','\x3e','\x18','\xff','\xc1','\xe1','\x9f','\x3d','\xe6','\x18','\x42','\x10',
'\x80','\x21','\x18','\xc1','\x21','\x9e','\xa1','\x25','\x19','\xd9','\xa3','\x8f','\xbd','\xc7','\x00','\x83',
'\x31','\x1e','\x80','\x3d','\xd8','\xf8','\x3d','\x2e','\x98','\xde','\xd9','\x20','\xbe','\xa3','\x47','\x3d',
'\x5b','\xc9','\x23','\xae','\xa5','\x06','\x21','\x1d','\x90','\x3b','\x99','\xe4','\x7b','\x77','\x80','\xe9',
'\x98','\x5d','\xe8','\x3e','\x3e','\x9e','\x9f','\xc5','\x66','\xe7','\xbb','\x70','\x7c','\x26','\x9f','\xbe',
'\xd7','\x06','\xc2','\x2d','\x58','\xd9','\x25','\xef','\xb9','\x40','\x78','\x05','\xa7','\x7a','\xe4','\xb2',
'\xe6','\x0e','\x23','\x2d','\x94','\x18','\xa1','\x20','\x48','\xc3','\xa4','\xca','\xe3','\xa9','\x59','\xc9',
'\x26','\xfe','\xaf','\x03','\x65','\x57','\xbc','\x6b','\xc3','\xe1','\x9a','\x6d','\xec','\x1d','\x06','\x5a',
'\xac','\x71','\x42','\xc4','\xc0','\x84','\xcd','\xd1','\x87','\xde','\xe7','\xc0','\xc1','\x9d','\x5f','\xc2',
'\x9a','\x28','\xbc','\x93','\x43','\x1e','\x63','\x0d','\x10','\x1a','\x81','\x25','\x5a','\xe9','\x21','\xcc',
'\x81','\x84','\x4b','\xb1','\x83','\x59','\x9f','\x46','\x57','\xf9','\x3b','\x4d','\xa4','\xde','\xa2','\x90',
'\x4f','\xd8','\x1b','\x0d','\xe6','\x7a','\x62','\xd2','\xe2','\x89','\x5b','\xab','\x02','\x7c','\xc5','\xaf',
'\x76','\x35','\xba','\xc9','\xef','\x6f','\x21','\xc9','\xd0','\x9e','\x4c','\xf4','\xdd','\x37','\xc6','\x0c',
'\x40','\x19','\x14','\x73','\x19','\x71','\x23','\xd5','\x14','\xe7','\x58','\x40','\xb4','\xc4','\x23','\xb5',
'\x15','\x31','\x3a','\xc1','\x67','\xfe','\x29','\x63','\x61','\xd0','\xc4','\xed','\x55','\x85','\xfe','\xe2',
'\xd2','\xeb','\x18','\x59','\xa0','\xb7','\x3a','\xc4','\x36','\xe4','\x2e','\x26','\x3f','\xbe','\x9d','\xa7',
'\x42','\x65','\xd1','\xdc','\x6f','\x44','\x99','\x1c','\xfb','\x88','\x79','\x89','\x64','\x5a','\x6f','\x41',
'\xc8','\x06','\xfc','\xcd','\x27','\xe7','\x3d','\x10','\x78','\xa1','\xe7','\x38','\x41','\x62','\xa6','\xa2',
'\x66','\x2f','\x3b','\xec','\xb5','\x86','\x00','\x05','\x51','\x1a','\x07','\x45','\x5e','\x6e','\x59','\x4a',
'\x17','\xe0','\x2f','\x3e','\xbd','\xaf','\x81','\x45','\x5b','\x3f','\x43','\x4d','\x52','\xbe','\x41','\x67',
'\xf7','\xb8','\x61','\x6a','\x65','\x82','\xec','\xcc','\x17','\xe5','\x7e','\x24','\xba','\xea','\xdf','\x2b',
'\x02','\x75','\x54','\xad','\x7d','\x80','\xfc','\xc8','\x76','\xfd','\x3a','\x55','\x26','\xcf','\xbe','\x72',
'\x56','\x82','\x89','\x9c','\xdb','\x80','\xba','\xa9','\xee','\xb9','\x43','\x48','\x03','\xa4','\x46','\x22',
'\xa9','\xd6','\x38','\x20','\x72','\x62','\xc3','\xf2','\xaa','\x4a','\xff','\x61','\xe1','\xd5','\x9c','\x66',
'\x50','\xcb','\x15','\xca','\x8a','\x38','\x9d','\xa2','\x13','\x7f','\xd6','\x99','\x31','\x2a','\xc0','\x56',
'\xec','\x68','\x56','\xb7','\xd9','\xf5','\xee','\x04','\x93','\x39','\xbf','\x80','\x75','\x59','\x7c','\x77',
'\x8f','\x19','\x86','\x52','\x24','\xe0','\x4a','\x6e','\x71','\xca','\x45','\xc8','\x0f','\x6c','\xdf','\x2e',
'\x53','\x6f','\x53','\xe8','\x23','\xee','\xa5','\x82','\x61','\x1d','\x15','\x6b','\x9b','\x60','\x3f','\x37',
'\x0d','\xbd','\xca','\xd1','\x89','\x3e','\xfb','\xce','\x19','\x01','\x22','\x22','\x66','\x26','\xaa','\xee',
'\xbe','\x33','\x46','\x04','\xc8','\x88','\x1c','\xd9','\xa8','\x3f','\xab','\xcc','\x9c','\x55','\x60','\xae',
'\x26','\x36','\x2f','\x9f','\xac','\xf7','\x23','\xd0','\x45','\xfd','\x5f','\x05','\xea','\xaa','\x7a','\xff',
'\x02','\xd1','\x15','\xff','\xda','\x51','\xa8','\x26','\x3a','\xef','\x87','\xa0','\x07','\x3b','\xbf','\x85',
'\x25','\x53','\x79','\x33','\xc5','\x35','\xd6','\x08','\x21','\x01','\x50','\x02','\x85','\x54','\x42','\x8c',
'\x40','\x10','\x85','\x71','\x12','\xc4','\x65','\xd4','\x8d','\x75','\x43','\xdc','\x42','\x95','\xd1','\x33',
'\x9e','\x84','\x75','\x51','\xfc','\x67','\x87','\xb9','\x96','\x18','\xa4','\x70','\x42','\xc6','\xe0','\x80',
'\xcf','\xf9','\x03','\xcc','\xc7','\xe4','\xc3','\xf7','\xfb','\x50','\xf8','\x24','\xbf','\xbb','\xc5','\x2c',
'\x47','\x2b','\x3a','\xf4','\x37','\x97','\x1c','\xe7','\x48','\x40','\x95','\xd4','\x63','\x94','\x81','\x31',
'\x1b','\xd0','\x37','\xdd','\xbc','\x77','\x02','\xc8','\x84','\xdc','\xc1','\xa4','\xcf','\xb3','\xa3','\x5c',
'\x8d','\x6c','\xd2','\xff','\x59','\x60','\xb6','\xa6','\x07','\x37','\x7f','\x9d','\x29','\xa3','\x61','\x5c',
'\x05','\xed','\xda','\x74','\xf8','\x6e','\x1f','\x2b','\x8f','\xa4','\x56','\x23','\x98','\xc4','\x79','\x15',
'\xa4','\x6b','\xf2','\xf1','\xfb','\x5c','\x38','\x3c','\xb3','\x4b','\xdd','\x43','\x87','\xf3','\x36','\x88',
'\xee','\xf8','\x53','\xce','\x42','\xb0','\x81','\x7b','\xbb','\x40','\x7d','\x55','\xad','\x7f','\xa0','\xf8',
'\xca','\x5e','\x79','\x28','\x75','\x02','\xcd','\xd4','\xd6','\xc4','\xe0','\x85','\x9f','\xf3','\x06','\x88',
'\x8d','\xc8','\x93','\xad','\xfe','\xb1','\xe2','\x48','\x4b','\x25','\xc2','\x68','\x08','\x57','\x60','\xab',
'\x76','\x3c','\x2a','\xdb','\xe6','\xdb','\x73','\x8a','\x40','\x1c','\x45','\x69','\x1e','\x34','\x7d','\xbb',
'\x4d','\xad','\x4f','\xa0','\x9b','\xfa','\x9e','\x1a','\x94','\x74','\x61','\xfe','\x24','\xb3','\x7b','\xdd',
'\x20','\xb7','\x33','\x55','\x34','\xef','\x9b','\x60','\x3e','\x27','\x0f','\xbc','\xde','\x93','\x80','\x2e',
'\xe9','\xcf','\x2c','\x53','\x6b','\x13','\xe0','\x27','\xbe','\xad','\xa7','\x21','\x55','\x11','\xbf','\xd3',
'\x45','\xfa','\x2f','\x0b','\xed','\xc6','\xb4','\xc1','\x72','\xaf','\x12','\x74','\x64','\xaf','\x3e','\xb4',
'\x3e','\x83','\x4e','\xee','\x79','\x42','\xd4','\xc0','\xa5','\xdd','\x91','\xa6','\x4a','\xe7','\xe1','\xd0',
'\xcd','\x7c','\x57','\x8e','\x4b','\xa4','\xd3','\x72','\x8a','\x42','\x3c','\x41','\x6b','\x36','\xb0','\x6f',
'\x9b','\x69','\xaf','\x25','\x04','\x09','\x98','\x92','\x19','\xbc','\xf2','\x53','\xda','\x02','\x99','\x95',
'\x6b','\x92','\xf1','\x3d','\x3c','\xb8','\xfb','\xcb','\x48','\x1b','\x25','\x67','\x38','\x48','\xf3','\xa4',
'\xa9','\xd3','\x69','\x3a','\x75','\x27','\x9d','\x9c','\xf3','\x00','\xe8','\x81','\xce','\xeb','\x21','\xc9',
'\xd1','\x8e','\x4e','\xf5','\xc9','\x75','\xcf','\x1c','\x52','\x18','\x21','\x21','\x50','\x40','\xa5','\xd4',
'\x00','\xa4','\x41','\x52','\xa7','\xd1','\x54','\xee','\x4c','\x12','\xbd','\xf5','\x21','\xf4','\x01','\xf7',
'\x73','\xd1','\xf0','\xaf','\x1e','\xb5','\x6c','\xa1','\xcf','\xb8','\x13','\x4a','\x86','\xf0','\x04','\xae',
'\xe9','\xc6','\xbd','\x51','\x60','\xa6','\xa6','\x26','\x27','\x3f','\xbc','\xbd','\xa3','\x40','\x4d','\x55',
'\xce','\x4f','\x60','\x9b','\x76','\x5f','\x1a','\x1b','\x85','\x67','\x72','\xe9','\x73','\xec','\x20','\xd6',
'\x23','\x91','\x55','\x7b','\x1e','\x11','\x2d','\xf3','\x68','\x69','\x47','\xa4','\xca','\xe2','\xb9','\x5b',
'\xc8','\x32','\xbc','\xa6','\x13','\x77','\x56','\x89','\x39','\x8a','\xd0','\x1c','\x6c','\xf8','\x5e','\x1f',
'\x48','\xbf','\x64','\x35','\x9f','\x99','\xa7','\x4a','\xe5','\xc1','\xd4','\xcf','\x54','\xd3','\x9c','\x6b',
'\x80','\xd1','\x18','\x2e','\xd0','\x5e','\x4d','\x68','\x1e','\x36','\x5d','\xbf','\x4f','\x85','\xcb','\xb2',
'\xbb','\xde','\x9c','\x70','\x30','\xe6','\x03','\xf2','\x27','\x9b','\xfd','\xef','\x04','\x91','\x19','\xbb',
'\x82','\x5d','\xdd','\x6e','\x57','\xab','\x1b','\xec','\xf6','\xb6','\x82','\x46','\x6d','\x59','\x4c','\x77',
'\xec','\x29','\x46','\x31','\x98','\xe1','\x29','\x5d','\x81','\xaf','\xfa','\xf5','\xaa','\x44','\x1f','\x7d',
'\xef','\x0d','\x00','\x1b','\xb0','\x37','\x1b','\xdc','\xf7','\xc5','\xb0','\x87','\x1a','\xa7','\x44','\x04',
'\xcd','\xd8','\x16','\xdc','\xec','\x75','\x87','\x9c','\xc6','\x50','\x81','\xb4','\x4a','\xc2','\xb1','\x98',
'\xe8','\xb8','\x5f','\x8a','\x1a','\xbc','\xf4','\x33','\xd6','\x04','\xe1','\x19','\x5c','\xf2','\x9d','\x3b',
'\x82','\x54','\x4c','\x6c','\x5c','\x1e','\x5d','\xed','\x6f','\x24','\x99','\xda','\x9b','\x08','\xbe','\xf1',
'\x67','\x9c','\x09','\xa1','\x03','\x78','\x87','\x87','\x76','\x67','\x9a','\x68','\xbd','\x07','\x01','\x1f',
'\xf2','\x1f','\x1b','\x8e','\xd7','\x64','\xe2','\xef','\x3a','\x71','\x66','\x85','\x9a','\xa2','\x1c','\x8f',
'\xc8','\x96','\xfd','\xf4','\xb4','\xa6','\x02','\x67','\x75','\x98','\x6d','\xe9','\x4d','\x0c','\x5f','\xe8',
'\x3b','\x6e','\x94','\x9a','\x81','\x2c','\xcb','\xeb','\x2a','\x79','\xc7','\x85','\xd2','\x23','\x98','\xc5',
'\x69','\x17','\xa5','\x7f','\xb0','\xf8','\xeb','\x4e','\x39','\x09','\xe1','\x02','\xec','\xc5','\x86','\xe7',
'\x75','\x91','\xfc','\xeb','\x46','\xb9','\x19','\xe9','\xa2','\xfc','\x8f','\x06','\x77','\x7d','\x39','\x6d',
'\xa1','\xcc','\x88','\x15','\x49','\xba','\x36','\x1f','\x9e','\xdf','\xc5','\xe2','\xa7','\xbb','\xf5','\x2c',
'\x24','\x1b','\xfa','\x97','\x8b','\x96','\x7f','\xd4','\xb8','\x25','\x2a','\xe9','\xc6','\xbc','\x41','\x62',
'\xa7','\xb2','\x64','\x2e','\x2f','\xae','\xbc','\x96','\x12','\x04','\x64','\x48','\x4e','\x74','\xd8','\x6f',
'\x4d','\x09','\x0e','\xf2','\x3c','\x2b','\xca','\xf4','\xd8','\x66','\xdc','\x0b','\x05','\x47','\x7a','\x2a',
'\x53','\x66','\xc3','\xfa','\x2a','\x5a','\xf7','\xc1','\xf1','\x9f','\x1c','\xf6','\x58','\x63','\x84','\x80',
'\x00','\x09','\x91','\x02','\x0b','\xb5','\x46','\x01','\x99','\x92','\x1b','\x9c','\xf6','\x51','\xf2','\x86',
'\x8b','\xb5','\x4f','\x90','\x9b','\x99','\xae','\xda','\xf7','\xc8','\x60','\x9d','\x17','\x43','\x1e','\x62',
'\x1d','\x12','\x1b','\x95','\x67','\x53','\xf9','\x33','\xcd','\xb4','\xd6','\x02','\x80','\x05','\x58','\x8b',
'\x05','\x4e','\xeb','\x28','\x58','\xd3','\x85','\xfb','\xb3','\xc8','\xec','\x5d','\x07','\xce','\xee','\x70',
'\xd3','\xd6','\xcb','\x10','\x9b','\x90','\x3f','\xd8','\xfc','\x7d','\x26','\x9c','\x8e','\xd1','\x05','\xfe',
'\xeb','\x43','\xe9','\x13','\xec','\xe6','\xb6','\xa3','\x56','\x2d','\x78','\xd8','\x77','\xcd','\x38','\x16',
'\x12','\x0d','\xf5','\x4a','\x45','\xc1','\x9e','\x6e','\xd4','\x9b','\x15','\x6e','\xca','\x7a','\x38','\x72',
'\x53','\xd3','\x93','\x9b','\x9e','\xde','\xd4','\xf0','\xa4','\xae','\xa3','\x67','\x3d','\x19','\xe9','\xa3',
'\xec','\x8d','\x07','\x63','\x3f','\x30','\x7d','\xb3','\xcd','\xbd','\x47','\x00','\x8b','\xb0','\x1e','\x8a',
'\x9c','\xdc','\xf0','\xb4','\xae','\x82','\x77','\x7d','\x38','\x7d','\xa3','\xcd','\x9c','\x57','\x40','\xaa',
'\x24','\x1e','\xab','\x8d','\x8c','\xd3','\x21','\xba','\xe1','\x6f','\x3d','\x09','\xe9','\x82','\xfc','\xcd',
'\x26','\xf7','\x3f','\x11','\x6c','\xe3','\xee','\x28','\x53','\x63','\x93','\xf0','\x2f','\x1e','\xbd','\xed',
'\xa1','\xc5','\x19','\x17','\x42','\x0f','\x70','\x1e','\x07','\x4d','\xde','\x7e','\x51','\xea','\x07','\xaa',
'\xaf','\xae','\xb5','\x07','\x10','\x0f','\xd1','\x0e','\x4f','\xed','\x4a','\x74','\xd1','\xff','\x5f','\x00',
'\xba','\xa0','\x7f','\xbb','\x48','\xfd','\x45','\xa5','\xdf','\xb0','\xb2','\x4a','\xce','\x71','\x80','\xe4',
'\x48','\x47','\xe5','\xda','\x64','\xf8','\x4f','\x0f','\x6b','\xae','\x30','\x56','\x02','\x89','\x94','\x5a',
'\x80','\xb0','\x08','\xea','\xb1','\xca','\xc8','\x19','\x0d','\xe2','\x3a','\x6a','\xd6','\xb2','\x81','\x7e',
'\xeb','\x4a','\x78','\x11','\xe7','\x53','\xf0','\xa2','\xcf','\xbf','\x63','\x44','\x81','\x9c','\xca','\x90',
'\x99','\xb8','\xba','\xda','\xde','\x58','\x30','\xb4','\x23','\x53','\x75','\xf3','\xdd','\x39','\x26','\x10',
'\x4e','\xc1','\x88','\x0e','\xf9','\x8d','\x2d','\xc3','\x69','\x1a','\x75','\x65','\xbd','\x1c','\xb1','\x28',
'\xe9','\xc3','\xec','\x4b','\x67','\xe3','\xf8','\x48','\x7e','\x75','\xab','\x5d','\x8c','\x7e','\xf0','\xfa',
'\x4f','\x0a','\x3b','\xa4','\x35','\x12','\x48','\xa5','\xc4','\x00','\x85','\x51','\x12','\x86','\x45','\x54',
'\xcf','\x5d','\x42','\x9e','\x60','\x35','\x97','\x19','\xb7','\x42','\x45','\xd1','\x9e','\x4f','\xc4','\xdb',
'\x34','\xfa','\xca','\x5b','\x29','\x22','\x70','\x46','\x87','\xf8','\x86','\x9e','\xe5','\x64','\x85','\x9f',
'\xf2','\x16','\x8a','\x8c','\xdc','\xd1','\xa4','\xee','\xa3','\xe3','\x7d','\x19','\x6c','\xf3','\xee','\x09',
'\x43','\x23','\xb2','\x64','\x2f','\x3f','\xac','\xbd','\x82','\x50','\x0d','\x74','\x5a','\x4f','\x41','\x8a',
'\x26','\x7c','\x8f','\x0f','\xe6','\x7f','\x32','\xd8','\xe7','\xcd','\x11','\x87','\x52','\x26','\xc0','\x4e',
'\x6c','\x59','\x4e','\x57','\xe8','\x2b','\x6e','\xb5','\x8a','\xc1','\x0d','\x5f','\xeb','\x0b','\x68','\x97',
'\xa6','\x47','\x37','\xfb','\xdd','\x29','\x26','\x31','\x5e','\x81','\xa9','\x9a','\xf9','\xac','\x3c','\x93',
'\x4a','\x8f','\x61','\x06','\xa5','\x5c','\x80','\xbc','\xc8','\xf2','\xbd','\x3a','\xd0','\x76','\xcd','\x3a',
'\x36','\x16','\x0f','\xdd','\xce','\x57','\xe1','\xba','\x6c','\xbe','\x3f','\x87','\x0c','\xc6','\x79','\x10',
'\xf4','\x61','\xf7','\xb5','\xb1','\x70','\x68','\x66','\xb6','\xaa','\xc7','\x2f','\x73','\x6d','\x31','\xcc',
'\xa1','\x84','\x09','\x91','\x03','\x1b','\xb7','\x47','\x15','\xdb','\x9b','\x0b','\x8e','\xf7','\x64','\xa0',
'\xcf','\xba','\x33','\x4e','\x84','\xd8','\x80','\xbc','\xc9','\xe2','\xbf','\x3b','\xc4','\x34','\xc4','\x2a',
'\x24','\x17','\x3a','\x8f','\x87','\x66','\x67','\xbb','\x78','\xfd','\x26','\x95','\x1f','\xd3','\x0e','\x4b',
'\xad','\x42','\x70','\x81','\xf7','\x7a','\x40','\xf2','\xa4','\xab','\xf3','\x6d','\x38','\x5d','\xa3','\x8f',
'\xbc','\xd7','\x02','\x82','\x25','\x5c','\x89','\x2d','\xca','\xf9','\x08','\x7c','\xd1','\xef','\x5f','\x21',
'\xaa','\xe0','\x5e','\x2f','\x48','\xdc','\x54','\xf5','\xfc','\x25','\xa6','\x29','\xd6','\x31','\xb1','\x70',
'\x69','\x76','\xb4','\xab','\xd3','\x6d','\x7a','\x7d','\x23','\xcd','\x94','\xd6','\x40','\xa0','\x85','\x1a',
'\xa3','\x04','\x0c','\xc9','\x88','\x1e','\xf9','\xac','\x3d','\x83','\x48','\x8e','\x75','\x44','\xac','\x4c',
'\x92','\xbd','\xfd','\xa0','\xf4','\x0b','\x56','\x77','\xd9','\x79','\x2f','\x04','\x1c','\xc8','\xb9','\x0c',
'\xb8','\x99','\xeb','\x8a','\x79','\x8d','\x24','\x52','\x6b','\x11','\xc0','\x23','\xbc','\x85','\x23','\x33',
'\x75','\x35','\xbd','\xb9','\xe1','\x68','\x4d','\x07','\xee','\xee','\x32','\xf3','\x56','\x89','\x38','\x9a',
'\xd2','\x1d','\x78','\xba','\x57','\x0f','\x5a','\xbe','\x51','\x67','\xd6','\xa8','\x21','\x4b','\xf1','\x82',
'\xcd','\xdd','\x47','\xc6','\xeb','\x30','\xd9','\xf2','\x9f','\x1a','\x96','\x54','\x65','\xfc','\x0c','\x37',
'\x69','\xfd','\x04','\xb5','\x59','\xf1','\xa6','\x8d','\x97','\x63','\x16','\xa1','\x3d','\x98','\xf8','\xb9',
'\x6e','\x98','\x5b','\x89','\x22','\x3a','\xe7','\x07','\xb0','\x0f','\x9b','\xaf','\xcf','\xa5','\xc3','\x71',
'\x9b','\x54','\x7f','\x5c','\x39','\x2d','\xa1','\x48','\xc8','\x15','\xcc','\xea','\x34','\x9b','\xda','\x9f',
'\x48','\xb6','\xf5','\x37','\x94','\x2c','\xe1','\x4b','\x7c','\x53','\xcf','\x53','\xa2','\x82','\x6e','\xed',
'\x0b','\x64','\x57','\xbe','\x4b','\xc7','\xe3','\xb2','\xe9','\xfe','\x3d','\x22','\x58','\xc6','\xd5','\xd0',
'\xa6','\xcc','\x87','\xe5','\x57','\xb5','\xfa','\xc1','\xea','\x2f','\x2b','\xed','\x84','\x94','\x41','\x30',
'\x87','\x13','\x36','\x46','\x0f','\x78','\x9e','\x17','\x45','\x7e','\x6e','\x1b','\x6a','\x97','\xa2','\x07',
'\x3f','\xff','\x8d','\x21','\x03','\x71','\x16','\x85','\x7d','\xd2','\xdc','\x69','\x24','\x95','\x1a','\x83',
'\x04','\x4e','\xe9','\x08','\x5c','\xd1','\xad','\x7f','\xa1','\xe8','\xc8','\x5f','\x6d','\x6a','\x7c','\x12',
'\xdf','\xd5','\xe3','\x96','\xa9','\xb4','\x19','\xf2','\x12','\xcb','\x94','\xda','\x80','\xb8','\x89','\xea',
'\xbb','\x6b','\xcc','\x11','\x84','\x62','\x20','\xc3','\x72','\xaa','\x42','\x7e','\x61','\xeb','\x74','\x98',
'\x6e','\xd9','\x4b','\x0f','\x63','\x2e','\x20','\x5e','\xa2','\x99','\xde','\xda','\x10','\xb8','\xa0','\x7b',
'\xfb','\x40','\xf9','\x15','\xad','\xfa','\xf0','\xfa','\x4e','\x1a','\x39','\xa5','\x21','\x50','\x41','\xb5',
'\xd6','\x01','\xb0','\x03','\x5b','\xb7','\xc3','\x55','\xdb','\x1e','\x5b','\x8c','\x73','\x20','\xe0','\x42',
'\xee','\x61','\xc2','\xe5','\xd8','\x45','\xec','\x4f','\x26','\xfb','\xfe','\x19','\x62','\x12','\xe2','\x05',
'\x9a','\xab','\x8d','\x8d','\xc3','\x23','\xbb','\xf5','\x2d','\x34','\x19','\xfb','\x83','\xc9','\x9f','\x6f',
'\xc6','\xb9','\x10','\x78','\xa0','\xf7','\x3a','\x40','\x76','\xe4','\xab','\x76','\x3d','\x3a','\xd9','\xe7',
'\xcf','\x31','\x83','\x50','\x0e','\x44','\x5c','\x4c','\x7d','\x4c','\x3d','\x4c','\xb9','\x0c','\xb9','\x89',
'\xe9','\x8b','\x6d','\xcf','\x2d','\x42','\x79','\x10','\xf5','\x71','\xf5','\xb4','\xa5','\x32','\x61','\x76',
'\xa4','\xab','\xf2','\x7d','\x3a','\x5c','\xb7','\xcd','\xb5','\xc7','\x10','\x83','\x10','\x0e','\xc0','\x1c',
'\x4c','\xf8','\x1c','\x3f','\xc8','\xfd','\x4c','\x34','\xdd','\xbb','\x07','\x0c','\xcf','\xe8','\x12','\xff',
'\xd4','\xb1','\xb4','\x28','\xe2','\x73','\xfa','\x40','\xfb','\x35','\xa9','\xf8','\xd8','\x7e','\x5c','\x3a',
'\x1d','\xa7','\x4b','\xf4','\xd3','\xd7','\xda','\x02','\x98','\x85','\x69','\x93','\xe5','\x7f','\x35','\xa8',
'\xe9','\xca','\x7d','\x49','\x6c','\x56','\xbe','\x49','\xe7','\xe7','\xb0','\xc1','\x7a','\x2f','\x02','\x7c',
'\xc4','\xbf','\x74','\x34','\xae','\x8b','\xe6','\x7f','\x33','\xc8','\xe5','\xcc','\x05','\xc5','\x5b','\x36',
'\xd2','\x4f','\x59','\x0b','\x07','\x66','\x6e','\x2a','\x7a','\xf6','\x93','\xd3','\x1e','\x4a','\x9c','\x50',
'\x31','\xb4','\x21','\x73','\x71','\xf1','\xf5','\xbd','\x34','\x30','\x6a','\xc3','\xe2','\xaa','\x6b','\xef',
'\x21','\xc0','\x41','\x9c','\x47','\x41','\x9b','\x36','\x5f','\x9e','\x5b','\x85','\xe2','\x22','\xeb','\xf7',
'\xa8','\x60','\x5b','\x77','\xc3','\xd9','\x1a','\x1e','\xd4','\x7d','\x75','\xac','\x2d','\x82','\x79','\x9c',
'\x34','\x71','\x7a','\x45','\xa3','\xbe','\xac','\xb6','\x33','\x56','\x04','\xe9','\x98','\x5c','\xf8','\x3c',
'\x3f','\x8a','\xdd','\xcc','\x76','\xf5','\xba','\x45','\x2e','\x6f','\xae','\x38','\xd6','\x12','\x81','\x34',
'\x4a','\xca','\x30','\x98','\xe2','\x19','\x5b','\x82','\x93','\x3c','\xee','\x9a','\x72','\x1c','\x22','\x19',
'\xd6','\x53','\x91','\xb2','\x0b','\xde','\xf7','\xc1','\xf0','\x8f','\x1e','\xf7','\x4c','\x21','\x8d','\x90',
'\x12','\x08','\xa4','\x50','\x42','\x84','\xc0','\x00','\x8d','\xd1','\x02','\x8e','\xe5','\x44','\x85','\xdd',
'\xd2','\x96','\xc8','\xa4','\xdd','\x93','\x86','\x4e','\xe5','\xc9','\x54','\xdf','\x5c','\x73','\x8c','\x21',
'\x00','\x41','\x10','\x86','\x41','\x14','\xc7','\x59','\x12','\x96','\x45','\x75','\xdf','\x1d','\x63','\x0a',
'\x60','\x14','\x86','\x49','\x94','\xd7','\x51','\xb2','\x86','\x0f','\xf5','\x4f','\x15','\xcb','\x9b','\x2a',
'\x9e','\xb7','\x45','\x34','\xcf','\x9b','\x22','\x1e','\xa7','\x4d','\x94','\xdf','\xd1','\xa2','\x8e','\xaf',
'\xe5','\x05','\x95','\x5b','\x93','\x82','\x0f','\xfd','\xcf','\x05','\xc3','\x3b','\x3a','\xd4','\x37','\xd5',
'\x3c','\x67','\x0a','\x68','\x94','\x96','\x41','\x34','\xc7','\x1b','\x32','\x16','\x07','\x5d','\xde','\x5f',
'\x41','\xaa','\x26','\x3e','\xaf','\x8f','\xa4','\x57','\x33','\x9a','\xc5','\x6d','\x57','\xad','\x7b','\xe0',
'\xf0','\xce','\x0e','\x71','\x0d','\x35','\x4a','\xc9','\x00','\x9e','\xe1','\x25','\x9d','\x99','\xa3','\x0a',
'\xed','\xc5','\x84','\xc7','\x71','\x93','\xd4','\x6f','\x54','\x99','\x3d','\xeb','\xc8','\x58','\x1d','\x64',
'\x7b','\x7e','\x11','\xeb','\x93','\xe8','\xae','\x3f','\xa7','\x0c','\x84','\x59','\x90','\xb6','\x49','\xf6',
'\xf7','\x93','\xd0','\x2e','\x4c','\x9f','\x6c','\xf7','\xaf','\x11','\x45','\x72','\xae','\x03','\x66','\x67',
'\xba','\x68','\xff','\x27','\x81','\x5d','\xda','\x1e','\x59','\xac','\x77','\x22','\xc8','\xc6','\xfc','\x41',
'\xe6','\xe7','\xb2','\xe1','\x7e','\x2d','\x2a','\xf8','\xd6','\x9f','\x50','\x36','\xc4','\x2f','\x74','\x1d',
'\x3f','\xcb','\xcd','\x4a','\x37','\xe1','\x7d','\x1c','\x3c','\xf9','\xeb','\x4d','\x09','\x0f','\xe2','\x3e',
'\x2a','\xde','\xb6','\xd1','\x76','\xce','\x0a','\x30','\x15','\x33','\x1b','\xd5','\x67','\xd7','\xb9','\x33',
'\x48','\xe4','\xd4','\x86','\xc4','\x45','\xd5','\xdf','\x57','\xc2','\x8a','\x28','\x9d','\x83','\x03','\x3f',
'\xf7','\x0d','\x31','\x0b','\xd1','\x06','\xcf','\xfd','\x42','\xd4','\xc1','\xb5','\xdf','\x90','\xb2','\x08',
'\xee','\xf1','\xc2','\xcc','\x49','\x05','\xc7','\x7a','\x22','\xd2','\x66','\xc9','\x5b','\x2e','\x52','\x7e',
'\x41','\xeb','\x36','\xb8','\xee','\x9b','\x63','\x0e','\x21','\x0c','\x80','\x18','\x88','\xb0','\x18','\xea',
'\x90','\xda','\x88','\x38','\x99','\xe2','\x1b','\x7b','\x86','\x91','\x14','\x6a','\x88','\x52','\x38','\x20',
'\x73','\x72','\xc1','\xf3','\xbe','\x08','\xf6','\x71','\xf3','\xd4','\xa9','\x34','\x19','\xfa','\x93','\xcb',
'\x9e','\x7b','\x84','\xb0','\x00','\x6a','\xa1','\xc2','\x68','\x09','\x47','\x62','\xaa','\x62','\x7e','\x23',
'\xcb','\xf4','\xda','\x46','\xd8','\x09','\x2d','\xc3','\x68','\x0a','\x77','\x64','\xa9','\x5e','\xb8','\x38',
'\xfb','\xc2','\xd9','\x19','\x2e','\xd2','\x7e','\x49','\x6a','\x36','\xb2','\x4f','\x9f','\x6b','\x87','\xa1',
'\x16','\x29','\xbc','\x90','\x73','\x18','\x60','\x31','\xd6','\x01','\xb1','\x13','\x59','\xb6','\xd7','\x17',
'\xd2','\x0e','\x49','\x8d','\x46','\x72','\xa9','\x73','\x68','\x60','\xd6','\xa6','\xc1','\x57','\xff','\x5a',
'\x51','\xa0','\xa7','\x3a','\xe5','\x26','\xa4','\x0f','\xb2','\x3f','\x9f','\x8c','\xf7','\x61','\xf0','\xc5',
'\xbf','\x77','\x04','\xa8','\x88','\xda','\xb9','\x28','\xf8','\xd3','\xcf','\x5a','\x33','\x80','\x65','\x58',
'\x4d','\x65','\xce','\x2c','\x50','\x5b','\x15','\xe3','\x1b','\x78','\xb6','\x97','\x17','\x56','\x4e','\x49',
'\x08','\x16','\x70','\x2d','\x37','\x28','\xed','\x82','\xf4','\x4d','\x36','\xff','\x9f','\x01','\x26','\x63',
'\x7e','\x20','\xfb','\xf2','\xd9','\x7a','\x1e','\x12','\x1d','\xf5','\x6b','\x55','\x81','\xbf','\xfa','\xd4',
'\xba','\x04','\x3e','\xe9','\xef','\x2c','\x11','\x4b','\x93','\xa2','\x0f','\xbf','\xef','\x85','\x81','\x13',
'\x3b','\x96','\x15','\x75','\x7a','\x4d','\x23','\xae','\xa4','\x16','\x23','\x1c','\x84','\x79','\x90','\xf4',
'\x69','\x76','\xb5','\xbb','\xd1','\x6c','\x6e','\x3f','\x2a','\xdd','\x86','\xd7','\x75','\xf2','\xcc','\x2b',
'\x25','\x05','\x18','\x8a','\x91','\x0c','\xea','\xb9','\x4a','\xd8','\x11','\xad','\xf2','\x70','\xea','\x46',
'\xba','\x29','\xef','\xa1','\xc0','\x49','\x1d','\x47','\x4b','\x3a','\x32','\x57','\x17','\xdb','\x9f','\x4b',
'\x86','\xf3','\x34','\xa8','\xea','\xfa','\x7b','\x4a','\x50','\x90','\xa5','\x79','\xd1','\xe4','\xef','\x37',
'\xa1','\x7c','\x88','\x7e','\xf8','\x7a','\x5f','\x02','\x9b','\xb4','\x7f','\x92','\xd8','\xad','\x6c','\x91',
'\xcf','\xdb','\x23','\x8a','\xe5','\x4c','\x05','\xcd','\xda','\x36','\xd8','\xee','\x5d','\x03','\x8e','\xe6',
'\x74','\x83','\xde','\xee','\x50','\xd3','\x94','\xeb','\x90','\xd9','\xb8','\x3e','\x9a','\xde','\xdd','\x60',
'\xb6','\xa7','\x17','\x35','\x7e','\x89','\x6b','\xaa','\x71','\x4e','\x04','\xd8','\x88','\x3d','\xc9','\xe8',
'\x1e','\x3f','\xcc','\xbd','\x44','\x30','\x8d','\xb3','\x22','\x4c','\x87','\xec','\xc6','\xb7','\xf1','\x74',
'\xac','\x2e','\xb2','\x7f','\x9f','\x08','\xb7','\x61','\x75','\x95','\xbd','\xf3','\x40','\xe8','\x05','\x8e',
'\xeb','\xa4','\x99','\xd3','\x0a','\x0a','\xb5','\x44','\x21','\x9d','\x90','\x33','\x18','\xe4','\x71','\xd6',
'\x84','\xe1','\x11','\xdd','\xf2','\x97','\x9a','\x86','\x5c','\xc5','\xec','\x46','\xb7','\xf9','\xf5','\xac',
'\x24','\x13','\x7b','\x97','\x81','\x37','\x7b','\xdc','\x31','\xa5','\x30','\x40','\x62','\xa4','\x82','\x62',
'\x2d','\x13','\x68','\xa7','\xa6','\x24','\x07','\x3b','\xbe','\x95','\x27','\x52','\x6d','\x71','\xcc','\x25',
'\xc4','\x09','\x14','\x53','\x19','\x33','\x03','\x55','\x56','\xcf','\x59','\x02','\x96','\x64','\x65','\x9f',
'\x3c','\xf7','\x0a','\x41','\x05','\xd6','\x6a','\x01','\xc3','\x32','\xaa','\xc6','\x3e','\x61','\x6e','\x24',
'\x9a','\xea','\x9d','\x0b','\x82','\x37','\x7c','\xac','\x3f','\xa2','\x5c','\x8e','\x5c','\xd4','\xfc','\x65',
'\xa6','\xad','\x96','\x31','\x34','\x20','\x6b','\xf2','\xf0','\xeb','\x5e','\x39','\x28','\xf1','\x42','\xcd',
'\x51','\x86','\xc6','\x64','\xc1','\xdf','\x7e','\x52','\xda','\x01','\xa9','\x93','\x68','\xae','\x37','\x26',
'\x0c','\x8e','\xf8','\x94','\xbe','\xc0','\x76','\xed','\x3a','\x74','\x36','\x8f','\x9f','\xe6','\x56','\xa3',
'\x98','\xcc','\xf8','\x15','\xae','\xca','\xf6','\xf9','\x72','\xdc','\x22','\x95','\x17','\x53','\x1e','\x43',
'\x0d','\x52','\x3a','\x01','\x67','\x72','\xe8','\x63','\xee','\x21','\xc2','\x61','\x98','\x45','\x69','\x1f',
'\x24','\x7f','\xba','\x59','\xef','\x46','\xb0','\x89','\xfb','\xab','\x48','\xdd','\x45','\xe7','\xff','\x30',
'\xf0','\x62','\xcf','\x33','\xa2','\x44','\x0e','\x6d','\xcc','\x1c','\x54','\x78','\x2d','\x27','\x28','\xcc',
'\x92','\xb4','\x6c','\xa2','\xff','\xbe','\x10','\x76','\x40','\xeb','\x34','\x98','\xea','\x99','\x4b','\x8a',
'\x33','\x2c','\xa4','\x1a','\xe2','\x14','\x8a','\x88','\x9c','\xd9','\xa0','\xbe','\xab','\xc6','\x3d','\x51',
'\x68','\x27','\xa6','\x2c','\x86','\x3b','\xb4','\x34','\x23','\x5a','\xe4','\xf1','\xd6','\x8c','\x60','\x11',
'\xd7','\x53','\x93','\x92','\x0f','\xdc','\xdf','\x45','\xe2','\xaf','\x3a','\xf5','\x26','\x85','\x1f','\xf2',
'\x1e','\x0b','\x8c','\xd6','\x70','\xa0','\xe6','\x2a','\x63','\x67','\xb0','\xc8','\xeb','\x2d','\x09','\xc9',
'\x82','\xbe','\xed','\xa6','\xb5','\x17','\x10','\x2e','\xc1','\x4e','\x6e','\x79','\x4a','\x55','\xc0','\xaf',
'\x7c','\x95','\xae','\xc3','\x67','\xfb','\x79','\x69','\x64','\x94','\x8e','\xc1','\x05','\xdf','\xfb','\x03',
'\xc8','\x87','\xec','\xc7','\xa7','\xf3','\x75','\xb8','\x6c','\xbb','\x6f','\x8d','\x09','\x82','\x33','\x3c',
'\xa4','\x3b','\xf2','\x54','\xab','\x1c','\x9c','\xf8','\xb1','\xee','\x88','\x53','\x29','\x32','\x70','\x67',
'\x97','\xb8','\xa7','\x0a','\xe5','\x45','\x94','\xcf','\xd1','\x83','\x9e','\xef','\xc4','\x91','\x95','\x7a',
'\x82','\xd2','\x2c','\x68','\xdb','\x66','\xdb','\x7b','\x0b','\x40','\x16','\xe4','\x6d','\x16','\xbd','\xfd',
'\xa1','\xe4','\x09','\x57','\x63','\x9b','\x70','\x3f','\x16','\x1d','\xfd','\xeb','\x45','\x89','\x1f','\xea',
'\x9e','\x3a','\x94','\x36','\x41','\x7e','\x66','\x9b','\x7a','\x9f','\x02','\x17','\x75','\x7f','\x1d','\x29',
'\xab','\xe0','\x5c','\x0f','\x4c','\xde','\x7c','\x71','\xee','\x05','\x82','\x2b','\xbc','\x95','\x23','\x12',
'\x65','\x75','\x9c','\x2d','\xe1','\x49','\x5c','\x57','\xcd','\x7b','\x26','\x90','\x4e','\xc9','\x09','\x0e',
'\xf3','\x2c','\x29','\xcb','\xe0','\x9a','\x6f','\xcc','\x19','\x04','\x72','\x28','\x63','\x62','\xe0','\xc2',
'\xee','\x69','\x43','\xe5','\xd2','\xe4','\xe8','\x47','\xaf','\x7b','\xe4','\xb0','\xc6','\x0a','\x21','\x05',
'\x10','\x0a','\x81','\x04','\x4a','\xa9','\x00','\x58','\x81','\xa5','\x5a','\xe1','\xa0','\xcc','\x8b','\x25',
'\x4f','\xb9','\x0a','\xd9','\x85','\xef','\xf3','\xe1','\xf8','\x4d','\x2e','\x7f','\xae','\x19','\xc6','\x52',
'\xa0','\xa0','\x4a','\xeb','\x21','\xc8','\xc1','\x8c','\x4f','\xe1','\x8b','\x7c','\xdf','\x0e','\x53','\x2d',
'\x73','\x68','\x61','\xc6','\xa4','\xc0','\x43','\xbd','\x53','\x41','\xb2','\xa6','\x0f','\xb7','\x6f','\x95',
'\x89','\xb3','\x2b','\xdc','\x95','\xe5','\x72','\xe5','\xb2','\xe4','\x2e','\x27','\x2f','\xbc','\x9c','\xb3',
'\x00','\x6c','\xc1','\xce','\x6e','\x71','\xcb','\x55','\xca','\x0e','\x78','\x9d','\x27','\x43','\x7d','\x52',
'\xdd','\x71','\xa7','\x94','\x04','\x60','\x09','\x56','\x72','\x89','\x73','\x2a','\x40','\x56','\xe4','\xe9',
'\x56','\xbd','\x78','\xf1','\xe6','\x8d','\x13','\x23','\x16','\x24','\x6d','\x9a','\x7c','\xfd','\x2e','\x15',
'\x0f','\xdb','\xae','\x5b','\xe7','\xc2','\xe0','\x89','\x5f','\xeb','\x0a','\x78','\x95','\xa7','\x53','\x75',
'\xf2','\xcd','\x3b','\x27','\x04','\x0c','\xc8','\x98','\x1c','\xf8','\xb8','\x7f','\x8a','\x58','\x9c','\x74',
'\x71','\xfe','\x05','\xa3','\x3b','\xfc','\xb4','\xb7','\x12','\x44','\x64','\xcc','\x0e','\x74','\x5d','\x3f',
'\x4f','\x8d','\x4a','\xb2','\xb1','\x7f','\x98','\x78','\xb9','\x66','\x19','\x5b','\x83','\x83','\x3e','\xef',
'\x8e','\x30','\x15','\x32','\x0b','\xd7','\x66','\xc3','\xfb','\x3a','\x58','\xf6','\xd5','\xb3','\x96','\x0c',
'\xe4','\x59','\x56','\xd6','\xc9','\x31','\x8f','\x90','\x16','\x48','\xac','\x54','\x12','\x8c','\xe5','\x40',
'\xc5','\xd5','\xd6','\xc6','\xc0','\x81','\x9d','\xdb','\x82','\x9a','\xad','\xec','\x91','\xc7','\x5a','\x23',
'\x80','\x44','\x48','\x0d','\x44','\x5a','\x2c','\x71','\x4a','\x45','\xc0','\x8e','\x6c','\xd5','\x8f','\x57',
'\x67','\xda','\x68','\x39','\x47','\x01','\x9a','\xa2','\x1d','\x9f','\xca','\x97','\xe9','\xb6','\xbd','\xb6',
'\x10','\x66','\x40','\xca','\x24','\xd8','\xcb','\x0d','\x4b','\xab','\x22','\x7c','\x87','\x8f','\xf6','\x77',
'\x92','\xc8','\xad','\x4d','\x81','\x8f','\xfa','\xb7','\x8a','\xc4','\x5d','\x55','\xee','\x4f','\x22','\xbb',
'\xf6','\x1d','\x32','\x1a','\xc7','\x45','\xd2','\xaf','\x59','\xc5','\xe6','\xe6','\xa3','\xf3','\x7d','\x38',
'\x7c','\xb3','\xcf','\x9d','\x43','\x02','\xa3','\x34','\x0c','\xaa','\xb8','\xde','\x9a','\x10','\x3c','\xe0',
'\x7b','\x7e','\x10','\xfb','\x91','\xe9','\xba','\x7d','\xae','\x1c','\x96','\x58','\xa5','\xe4','\x00','\xc7',
'\x71','\x92','\xc4','\x6d','\x55','\x8d','\x7f','\xe2','\xd8','\x4a','\x1c','\x51','\x29','\x37','\x20','\x6d',
'\x92','\xfc','\xed','\x26','\xb5','\x1f','\x91','\x2e','\xcb','\xef','\x6a','\x71','\xc3','\xd5','\xda','\x06',
'\xd8','\x8d','\x6d','\xc3','\xed','\x5a','\x75','\xe0','\xed','\x1e','\x35','\x6c','\xa9','\x4e','\xb8','\x19',
'\xeb','\x82','\xf8','\x8d','\x2e','\xf3','\x6f','\x19','\x49','\xa3','\xa6','\x2c','\x87','\x2b','\xb6','\x35',
'\x37','\x18','\xed','\xe1','\xc4','\x8d','\x55','\x43','\x9e','\x62','\x15','\x93','\x1b','\x9f','\xc6','\x57',
'\xf1','\xba','\x4d','\xae','\x7f','\xa6','\x98','\xc6','\x58','\x01','\xa4','\x42','\x62','\xa1','\xd2','\x68',
'\x28','\x57','\x22','\x8b','\xf6','\x7e','\x02','\xda','\xa4','\xf9','\xd3','\xcc','\x6a','\x35','\x83','\x59',
'\x9e','\x56','\x55','\xf8','\x2f','\x0f','\xad','\xce','\xb0','\x91','\x7a','\x8a','\x52','\x3c','\x60','\x7b',
'\x76','\x91','\xfb','\x9b','\x48','\xbe','\x75','\x27','\x9c','\x8c','\xf1','\x01','\xfc','\xc3','\xc7','\xfb',
'\x33','\xc8','\xe4','\xdc','\x07','\xc4','\x4f','\x74','\xdb','\x5f','\x4b','\x0a','\x32','\x34','\x27','\x1b',
'\xfc','\xf7','\x87','\x90','\x07','\x58','\x8f','\x45','\x46','\xef','\x78','\x50','\xf6','\xc5','\xb3','\xb7',
'\x1c','\xa4','\x78','\xc2','\xd6','\xe8','\x20','\xdf','\xb3','\x83','\x5c','\xcf','\x4c','\x52','\xbd','\x71',
'\x61','\xf4','\x84','\xa7','\x71','\x55','\xb4','\xef','\x93','\xe1','\x3e','\x2d','\xae','\xb8','\xd6','\x1a',
'\x00','\x34','\x40','\x6b','\x34','\x90','\x6b','\x99','\x41','\x2b','\x37','\x24','\x2d','\x9a','\xf8','\xbd',
'\x2e','\x90','\x5f','\xd9','\x2a','\x1f','\xa7','\x4f','\xb4','\xdb','\xd3','\x8a','\x0a','\xbd','\xc5','\x21',
'\x97','\x31','\x37','\x10','\x6d','\xf1','\xcc','\x2d','\x45','\x09','\x1e','\xf2','\x1d','\x3b','\x8a','\xd5',
'\x4c','\x66','\xfd','\x1a','\x55','\x64','\xef','\x3e','\x30','\x7e','\x83','\xcb','\xbe','\x7b','\xc6','\x90',
'\x80','\x28','\x89','\xc3','\x2a','\x2b','\xe7','\x24','\x80','\x4b','\xb8','\x13','\x4b','\x96','\xf2','\x05',
'\xba','\xab','\xcf','\xad','\x43','\x61','\x93','\xf4','\x6f','\x16','\xb9','\xbd','\xa9','\xe0','\x59','\x5f',
'\x46','\xdb','\x38','\x3b','\xc2','\x55','\xd8','\x2e','\x5d','\x8f','\x4f','\xe6','\xfb','\x72','\xd8','\x62',
'\x9d','\x13','\x03','\x16','\x66','\x4d','\x1a','\x3e','\xd5','\x2f','\x57','\x2d','\x7b','\xe8','\x71','\xce',
'\x04','\xd0','\x09','\x3d','\xc3','\x49','\x1a','\x37','\x45','\x3d','\x5e','\x99','\x29','\xab','\xe1','\x4c',
'\x0d','\x4d','\xca','\x3e','\x78','\xfe','\x17','\x83','\x1e','\xee','\xdc','\x12','\x94','\x64','\x61','\xdf',
'\x34','\xf3','\x5a','\x49','\x20','\x96','\x22','\x05','\x17','\x7a','\x8f','\x03','\x26','\x67','\x3e','\x28',
'\xff','\xa2','\xd1','\x5f','\x5e','\x5a','\x19','\x21','\x23','\x70','\x44','\xa7','\xfc','\x84','\xb6','\x61',
'\x76','\xa5','\xbb','\xf0','\x7c','\x2e','\x1e','\xbe','\xdd','\xa7','\xc6','\x25','\xd1','\x59','\x3f','\x46',
'\x1d','\x58','\xbb','\x05','\x2d','\xdb','\xe8','\x3b','\x6f','\x84','\x98','\x80','\x38','\x89','\xe2','\x3a',
'\x6b','\xc6','\xb0','\x80','\x6a','\xa9','\x43','\x68','\x03','\xe6','\x66','\xa2','\xeb','\xfe','\x39','\x62',
'\x50','\xc2','\x85','\xd8','\x83','\x8c','\xcf','\xe1','\x83','\xfd','\xdf','\x04','\xf2','\x29','\x7b','\xe1',
'\xe1','\xdc','\x0d','\x64','\x5b','\x7e','\x53','\xcb','\x13','\xaa','\x86','\x3e','\xe5','\x2e','\x24','\x1f',
'\xba','\x9f','\x8f','\xc6','\x77','\xf1','\xf8','\x6d','\x2e','\x3d','\x8e','\x99','\x84','\x7a','\xa1','\xe2',
'\x68','\x4b','\x67','\xe2','\xe8','\x4a','\x7f','\x61','\xe9','\x54','\x9c','\x6c','\xf1','\xcf','\x1d','\x43',
'\x0a','\x22','\x34','\x06','\x0b','\xbc','\xd6','\x13','\x90','\x26','\x49','\xdf','\x66','\xd3','\xfb','\x1b',
'\x48','\xb6','\xf4','\x27','\x96','\x2d','\xf5','\x09','\x75','\x43','\xdd','\x52','\x97','\xd0','\x27','\xdc',
'\x8d','\x65','\x43','\xfd','\x52','\xd5','\xf0','\xa7','\x9e','\xa5','\x64','\x01','\xdf','\xf2','\x93','\xda',
'\x8e','\x58','\x95','\xe4','\x63','\xf7','\xb1','\xf1','\x78','\x6c','\x36','\xbe','\x8f','\x87','\x67','\x77',
'\xb9','\x79','\xe9','\x64','\x9c','\x0f','\xc1','\x0f','\x7e','\xff','\x0b','\x41','\x07','\xf6','\x6e','\x03',
'\xeb','\xb6','\xb8','\xe6','\x1a','\x63','\x04','\x80','\x08','\x88','\x91','\x08','\xaa','\xb1','\x4e','\x88',
'\x19','\x88','\xb2','\x38','\xee','\x92','\xf2','\x0c','\x2a','\xb9','\xc6','\x19','\x11','\x22','\x03','\x76',
'\x66','\x8b','\x7a','\xbe','\x12','\x57','\x54','\xeb','\x1d','\x08','\xba','\xb0','\x7f','\x9a','\x58','\xbd',
'\x64','\x31','\xdf','\x91','\xa3','\x1a','\xed','\xe4','\x94','\x87','\x50','\x07','\xd4','\x4e','\x45','\xc9',
'\x1e','\x7e','\xdc','\x3b','\x05','\x24','\x4a','\xea','\x30','\xda','\xc2','\x99','\x19','\xaa','\x92','\x7e',
'\xcc','\x3a','\x34','\x36','\x0b','\xdf','\xe6','\xd3','\xf3','\x9a','\x48','\xbc','\x55','\x23','\x9e','\xa4',
'\x75','\x13','\xdc','\xe7','\xc5','\x91','\x97','\x5a','\x86','\xd0','\x04','\xec','\xc9','\x46','\xff','\x79',
'\x61','\xe4','\x84','\x86','\x61','\x15','\x95','\x7b','\x93','\xc0','\x2f','\x7d','\x8d','\x2d','\xc2','\x79',
'\x18','\x74','\x71','\xff','\x15','\xa1','\x3a','\xe8','\xf6','\xbe','\x02','\x56','\x65','\xf9','\x5c','\x3d',
'\x6c','\xb9','\x4e','\x99','\x09','\xab','\xa3','\x6c','\x8d','\x0f','\xe2','\x3f','\x3a','\xdc','\xb7','\xc5',
'\x34','\xc7','\x1a','\x22','\x14','\x06','\x49','\x9c','\x56','\x51','\xb8','\x27','\x0b','\xfd','\xc6','\x95',
'\xd1','\x32','\x8e','\x86','\x74','\x45','\xbe','\x6e','\x97','\xab','\x97','\x2d','\xf6','\x39','\x73','\x40',
'\xe1','\x94','\x8c','\xe0','\x11','\xdf','\xd2','\x93','\x98','\xae','\xd8','\xd7','\xcc','\x62','\xb5','\x93',
'\x51','\x3e','\x46','\x1f','\x78','\xbf','\x07','\x05','\x5f','\xfa','\x1b','\x4b','\x86','\xf2','\x24','\xaa',
'\xeb','\xee','\x39','\x43','\x40','\x82','\xa4','\x4c','\x83','\xad','\xde','\xb1','\xa0','\x68','\xcb','\x67',
'\xea','\x69','\x4a','\x75','\xc0','\xed','\x5c','\x15','\xec','\xeb','\x66','\xb9','\x5b','\xc9','\x22','\xbe',
'\xa7','\x07','\x35','\x5f','\x99','\x2b','\x8b','\xe5','\x4e','\x25','\xc9','\xd8','\x1e','\x5c','\xfc','\x7d',
'\x27','\x8c','\x8c','\xd0','\x11','\xbc','\xe2','\x53','\xfb','\x12','\xd9','\xb4','\xff','\x92','\xd0','\x2c',
'\x6c','\x9b','\x6e','\xdf','\x2b','\x03','\x65','\x56','\xac','\x69','\xc2','\xf5','\xd8','\x64','\xfc','\x0f',
'\x07','\x6f','\xfe','\x38','\x73','\x42','\xc1','\x90','\x8e','\xc8','\x95','\xcd','\xf2','\xb7','\x9a','\xc4',
'\x7c','\x45','\xae','\x6e','\xb6','\xbb','\xd7','\x0c','\x62','\x39','\x52','\x51','\xb1','\xb7','\x19','\xf4',
'\x72','\xc7','\x92','\xa2','\x0c','\x8f','\xe9','\x86','\xbd','\xd5','\x20','\xa6','\x23','\x76','\x25','\xbb',
'\xf8','\xfd','\x2e','\x14','\x1f','\xd9','\xaf','\x4f','\xa5','\xcb','\xf0','\x9b','\x5e','\xde','\x58','\x31',
'\xa4','\x21','\x52','\x61','\xb1','\xd4','\x29','\x34','\x11','\x7b','\x93','\xc1','\x3f','\x7f','\x8c','\x39',
'\x80','\x70','\x08','\x66','\x70','\xca','\x47','\xe8','\x0b','\x6e','\xf7','\xaa','\x41','\x4f','\x77','\xea',
'\x49','\x4a','\x37','\xe0','\x6d','\x1e','\x3d','\xed','\xa9','\x44','\x19','\x1d','\xe3','\x0b','\x78','\x97',
'\x87','\x57','\x77','\xda','\x49','\x29','\x07','\x20','\x0e','\xa2','\x3c','\x8e','\x9a','\xb4','\x7c','\xa2',
'\xde','\xae','\x50','\x57','\xd4','\xeb','\x15','\x89','\xba','\xba','\xde','\x9e','\x50','\x34','\xe4','\x2b',
'\x76','\x35','\xbb','\xd9','\xed','\x6e','\x35','\x8b','\xd9','\x8e','\x5e','\xf5','\xe8','\x65','\x8f','\x3d',
'\xc6','\x18','\x00','\x30','\x00','\x63','\x30','\xc0','\x63','\xbc','\x01','\x63','\x33','\xf0','\x65','\xbf',
'\x3d','\xa5','\x28','\xc0','\x53','\xbc','\x62','\x53','\xf3','\x93','\xd9','\xbe','\x5e','\x96','\xd8','\xa5',
'\xec','\x81','\xc7','\x7b','\x33','\xc0','\x65','\xdc','\x0d','\x65','\x4b','\x7c','\x52','\xdf','\x51','\xa3',
'\x96','\x2c','\xe4','\x1b','\x76','\x56','\x8b','\x19','\x8e','\xd2','\x34','\xe8','\xea','\x7e','\x3b','\x4a',
'\xd5','\xc0','\xa7','\xfd','\x95','\xa4','\x62','\x63','\xf3','\xf0','\xe9','\x7e','\x3d','\x2a','\xd9','\xc6',
'\xdf','\x71','\xa2','\xc4','\x0e','\x65','\x4d','\x1c','\x5e','\xd9','\x29','\x2f','\xa1','\x4c','\x88','\x1d',
'\xc8','\xba','\x3c','\xbe','\x9a','\xd7','\x4c','\x62','\xbd','\x12','\x51','\x34','\xe7','\x1b','\x70','\x36',
'\x87','\x1f','\xf6','\x5e','\x03','\x88','\x86','\x78','\x85','\xa6','\x62','\x67','\xb3','\xf8','\xed','\x2e',
'\x35','\x0f','\x99','\x8e','\xdb','\xa5','\xea','\xe1','\xcb','\x7d','\x4b','\x4c','\x52','\xbc','\x61','\x63',
'\xf5','\x90','\xe5','\x78','\x45','\xa6','\xee','\xa6','\xb3','\x77','\x1c','\x28','\xb9','\xc2','\x59','\x19',
'\x26','\x53','\x7e','\x43','\xcb','\x32','\xba','\xc6','\x1f','\x71','\x2e','\x05','\x0e','\xea','\xbc','\x1a',
'\xd2','\x14','\xe9','\xb8','\x5c','\xba','\x1c','\xbf','\xc8','\xf5','\xcd','\x34','\xd7','\x1a','\x03','\x04',
'\x46','\x68','\x08','\x56','\x70','\xa9','\x77','\x28','\x68','\xd2','\xf6','\xc9','\x72','\xbf','\x12','\x55',
'\x74','\xef','\x1f','\x20','\x3e','\xa2','\x5f','\xbe','\x5a','\xd7','\xc0','\xa3','\xbd','\x9d','\xa0','\x32',
'\x6b','\xd6','\xb0','\xa1','\x7a','\xe9','\x62','\xfc','\x03','\xc7','\x77','\xf2','\xc8','\x6b','\x2d','\x01',
'\x48','\x82','\xb4','\x4c','\xa2','\xbd','\x9e','\x90','\x34','\x68','\xea','\x76','\xba','\x4a','\xdf','\x61',
'\xa3','\xf5','\x1c','\x24','\x78','\xca','\x57','\xe8','\x2a','\x7e','\xb7','\x8b','\xd5','\x4f','\x56','\xfb',
'\x19','\x69','\xa2','\xf4','\x0e','\x06','\x7d','\xdc','\x3d','\x65','\x28','\x4c','\x92','\xbc','\xed','\xa2',
'\xf5','\x1f','\x14','\x7e','\xc9','\x6b','\x2e','\x31','\x4e','\x81','\x88','\x8a','\xb9','\x8d','\xa8','\x93',
'\x6b','\x9e','\x31','\x25','\x30','\x48','\xe3','\xa4','\x88','\xc3','\x29','\x1b','\xe1','\x27','\xbc','\x8d',
'\xa3','\x23','\x7d','\x95','\xad','\xf3','\x61','\xf8','\x45','\xaf','\x7f','\xa4','\xb8','\xc2','\x5a','\x29',
'\x20','\x50','\x42','\x85','\xd0','\x02','\x8c','\xc5','\x40','\x87','\xf5','\x56','\x84','\xe8','\x80','\xdf',
'\xf9','\x22','\xdc','\x87','\xc5','\x57','\xf7','\xda','\x41','\xa8','\x07','\x2a','\xaf','\xa6','\x34','\x07',
'\x1a','\xae','\xd5','\x06','\xc6','\x6d','\x50','\xdd','\x75','\xe7','\x9c','\x00','\x30','\x01','\x73','\x32',
'\xc1','\x77','\xfe','\x08','\x73','\x21','\xf1','\x50','\xed','\x74','\x94','\xae','\xc1','\x47','\xff','\x7b',
'\x41','\xe0','\x86','\xae','\xe5','\x07','\xb5','\x5f','\x91','\xaa','\x8b','\xef','\xef','\x21','\xc1','\x51',
'\x9e','\x46','\x55','\xd9','\x3f','\x4f','\x8c','\x5a','\xb0','\xb0','\x6b','\xda','\x71','\xa9','\x74','\x18',
'\x6e','\xd1','\xca','\x0f','\x69','\x8f','\x24','\x56','\x2b','\x19','\xc4','\x73','\xb4','\xa0','\x63','\x7b',
'\x71','\xe1','\xf5','\x9c','\x24','\x70','\x4b','\x57','\xe2','\x8b','\x7a','\xbf','\x02','\x55','\x55','\xff',
'\x5f','\x01','\xaa','\xa2','\x7e','\xaf','\x0a','\xf4','\x55','\xb7','\xde','\x85','\xe0','\x03','\xff','\xf7',
'\x81','\xf0','\x0b','\x5e','\xf7','\xc9','\x71','\x8f','\x14','\x56','\x48','\x29','\x04','\x10','\x08','\xa1',
'\x00','\x48','\x81','\x84','\x4a','\xa1','\x81','\x58','\x8b','\x04','\x5e','\xe9','\x29','\x4c','\x91','\x8c',
'\xeb','\xa1','\xc9','\xd9','\x0f','\x4e','\xff','\x68','\x71','\xc7','\x95','\xd2','\x02','\x88','\x85','\x48',
'\x83','\xa5','\x5e','\xa1','\xa8','\xc8','\xdb','\x2d','\x6a','\xf9','\x42','\xdd','\x51','\xa7','\xd6','\x24',
'\xe0','\x4b','\x7e','\x73','\xcb','\x51','\x8a','\x06','\x7c','\xcd','\x2f','\x66','\x3d','\x1a','\xd9','\xa5',
'\xef','\xb1','\xc1','\x78','\x0f','\x06','\x7e','\xec','\x3b','\x66','\x14','\x8a','\x89','\x8c','\xdb','\xa1',
'\xaa','\xe9','\xcf','\x2d','\x43','\x69','\x12','\xf4','\x65','\xb7','\xbd','\xb5','\x20','\x60','\x43','\xf6',
'\xe2','\xc3','\xfb','\x3b','\x48','\xf4','\xd4','\xa7','\xd4','\x05','\xf4','\x4b','\x57','\xe3','\x9b','\x78',
'\xbe','\x16','\x17','\x5c','\xef','\x4d','\x00','\x9f','\xf0','\x37','\x9e','\x8c','\xf5','\x41','\xf4','\xc7',
'\x97','\xf3','\x16','\x88','\xac','\xd8','\xd3','\x8c','\x6a','\xb1','\xc3','\x59','\x1b','\x06','\x57','\x7c',
'\x6b','\x4f','\x20','\x9a','\xe2','\x1d','\x1b','\x8a','\x97','\x6c','\xe6','\xbf','\x32','\x54','\x26','\xcd',
'\x9e','\x76','\x54','\xaa','\x0d','\x8e','\xfb','\xa4','\xb8','\xc3','\x4a','\x2b','\x21','\x44','\x00','\x8c',
'\xc0','\x10','\x8d','\xf0','\x12','\xce','\xc4','\xd0','\x85','\xfc','\xc3','\xc6','\xeb','\x31','\xc9','\xf0',
'\x9e','\x0e','\xd4','\x5d','\x75','\xee','\x0d','\x02','\x3b','\xb4','\x35','\x33','\x58','\xe5','\xe5','\x94',
'\x85','\x70','\x03','\xd6','\x66','\xc1','\xdb','\x3e','\x5a','\xde','\x51','\xa1','\xb6','\x28','\xe6','\x33',
'\xf2','\x44','\xab','\x3d','\x8c','\xb8','\x90','\x7a','\x88','\x72','\x38','\x62','\x53','\xf2','\x83','\xdb',
'\xbf','\x4a','\xd4','\xd1','\xb5','\xfe','\x80','\xf2','\x29','\x7a','\xf1','\xe3','\xdd','\x19','\x26','\x52',
'\x6e','\x41','\xca','\x26','\xf8','\xcf','\x0f','\x63','\x2f','\x30','\x5c','\xa3','\x8d','\x9c','\xd3','\x00',
'\xaa','\xa1','\x4e','\xa9','\x09','\xc8','\x93','\xac','\xee','\xb3','\xe3','\x5c','\x09','\x2c','\xd2','\x7a',
'\x09','\x62','\x32','\xe2','\x47','\xba','\x2b','\xcf','\xa5','\xc2','\x61','\x99','\x55','\x6b','\x1e','\x30',
'\x3d','\xb3','\x49','\xfd','\x47','\x85','\xdb','\xb2','\x9a','\xce','\xdc','\x51','\xa4','\xe6','\x22','\xe3',
'\x77','\xb8','\x68','\xfb','\x67','\x89','\x59','\x8a','\x16','\x7c','\xec','\x3f','\x26','\x1c','\x8e','\xd9',
'\x84','\xfe','\xe1','\xe2','\xed','\x1b','\x65','\x66','\xac','\x0a','\xf2','\x35','\xbb','\xd8','\xfd','\x6c',
'\x34','\x9f','\x9b','\x87','\x4e','\xe7','\xe9','\x50','\xdd','\x74','\xf7','\x9e','\x01','\x24','\x43','\x7a',
'\x22','\xd3','\x76','\xcb','\x5a','\x3a','\x10','\x77','\x51','\xf9','\x37','\x8d','\xbc','\xd2','\x52','\x88',
'\x20','\x18','\xc3','\x01','\x9a','\xa3','\x0d','\x9d','\xcb','\x83','\xab','\xbf','\xad','\xa4','\x11','\x53',
'\x12','\x83','\x15','\x5e','\xca','\x19','\x08','\xb2','\x30','\x6f','\x92','\xf8','\xad','\x2e','\xb1','\x4f',
'\x99','\x0b','\x8b','\xa7','\x6e','\xa5','\x8b','\xf0','\x1f','\x1e','\xde','\xdd','\x61','\xa6','\xa5','\x16',
'\x21','\x3c','\x80','\x7b','\xb8','\x70','\x7b','\x56','\x91','\xb9','\xbb','\xc8','\xfc','\x5d','\x26','\xde',
'\xae','\x51','\x47','\xd6','\xea','\x01','\xcb','\xb3','\xaa','\xcc','\x9f','\x65','\x66','\xad','\x1a','\xf0',
'\x34','\xaf','\x9a','\xf4','\x7c','\x26','\x9e','\xae','\xd5','\x07','\xd6','\x6f','\x51','\xc9','\x37','\xee',
'\x8c','\x12','\x31','\x34','\x21','\x7b','\xf0','\xf1','\xff','\x1c','\x30','\x38','\xe3','\x43','\xf8','\x03',
'\xcf','\xf7','\xe2','\xc0','\xcb','\x3d','\x4b','\xc8','\x12','\xbc','\xe4','\x33','\xf7','\x14','\xa1','\x38',
'\xc8','\xf2','\xbc','\x2a','\xd2','\x77','\xd9','\x78','\x3f','\x06','\x1d','\xdc','\xfb','\x05','\xa8','\x8b',
'\xea','\xbf','\x2b','\xc4','\x15','\xd4','\x6a','\x05','\x83','\x3a','\xae','\x96','\x36','\x44','\x2e','\x6c',
'\x9e','\x3e','\xd5','\x2e','\x47','\x2f','\x7a','\xfc','\x33','\xc7','\x14','\xc2','\x08','\x08','\x91','\x00',
'\x2b','\xb1','\x44','\x29','\x1d','\x80','\x3b','\xb8','\xf4','\x3b','\x56','\x14','\xe9','\xb9','\x4c','\xb8',
'\x1d','\xab','\x8a','\xfc','\xdd','\x26','\xd6','\x2f','\x51','\x4d','\x77','\xee','\x09','\x42','\x33','\xb0',
'\x65','\x3b','\x7d','\xa5','\xad','\x90','\x51','\x38','\x26','\x13','\x7e','\xc7','\x8b','\x32','\x3f','\x96',
'\x1d','\xf5','\x6a','\x45','\x83','\xbe','\xee','\x96','\xb3','\x14','\x2c','\xe8','\xda','\x7e','\x58','\x7a',
'\x15','\xa3','\x1b','\xfc','\xf6','\x97','\x92','\x06','\x4c','\xcd','\x4c','\x56','\xfd','\x79','\x65','\xa4',
'\x8c','\x82','\x31','\x1d','\xb0','\x3b','\xdb','\xc4','\xfb','\x35','\xa8','\xe8','\xda','\x7f','\x48','\x78',
'\x14','\xb7','\x59','\xf5','\xe6','\x85','\x93','\x33','\x1e','\x84','\x7d','\xd0','\xfc','\x6d','\x26','\xbd',
'\x9e','\x91','\x24','\x6a','\xeb','\x62','\xf8','\x43','\xcf','\x73','\xa2','\xc0','\x4e','\x6d','\x49','\x4c',
'\x56','\xfc','\x69','\x67','\xa5','\x98','\xc0','\x38','\x0d','\xa2','\x3a','\xee','\x96','\xb2','\x04','\x2e',
'\xe9','\xce','\x3c','\x51','\x6a','\x07','\xa2','\x2e','\xae','\xbf','\xa6','\x14','\x07','\x58','\x8e','\x55',
'\x44','\xee','\x6c','\x12','\xff','\xd5','\xa1','\xb6','\x29','\xf6','\x31','\xf3','\x50','\xe9','\x34','\x9c',
'\xaa','\x91','\x4f','\xda','\x3b','\x09','\xe4','\x52','\xe6','\xc0','\xc2','\xad','\x59','\xc1','\xa6','\xee',
'\xa7','\xa3','\x75','\x1d','\x3c','\xfb','\xcb','\x49','\x0b','\x27','\x66','\x2c','\x0a','\xfa','\xb4','\xbb',
'\xd2','\x5c','\x68','\x3c','\x16','\x1b','\x9d','\xe7','\x43','\xf1','\x93','\xdd','\xfe','\x56','\x92','\x88',
'\xad','\xc9','\xc1','\x8f','\x7f','\xe7','\x88','\x40','\x19','\x15','\x63','\x1b','\x70','\x37','\x97','\x1d',
'\xf7','\x4a','\x41','\x81','\x96','\x6a','\x84','\x93','\x30','\x2e','\x82','\x7e','\xec','\x3a','\x76','\x16',
'\x8b','\x9d','\xce','\xd2','\xb1','\xb8','\xe8','\xfa','\x7f','\x0a','\x58','\x94','\xf5','\x71','\xf4','\xa4',
'\xa7','\x33','\x75','\x34','\xad','\xbb','\xe0','\x7c','\x0f','\x0e','\xfe','\xfc','\x33','\xc6','\x04','\xc0',
'\x09','\x1c','\xd3','\x09','\x3b','\xa3','\x45','\x1c','\x4f','\xc9','\x0a','\x3e','\xf5','\x2f','\x15','\x0d',
'\xfb','\xaa','\x59','\xcf','\x46','\xf2','\xa9','\x7b','\xe9','\x60','\xdc','\x07','\xc5','\x5f','\x76','\xda',
'\x4b','\x09','\x03','\x22','\x26','\x26','\x2e','\xae','\xbe','\xb6','\x16','\x06','\x4c','\xcc','\x5c','\x54',
'\xfc','\x6d','\x27','\xad','\x9c','\x90','\x30','\x28','\xe2','\x72','\xea','\x42','\xfa','\x21','\xeb','\xf1',
'\xc8','\x6c','\x5d','\x0f','\x4f','\xee','\x7a','\x72','\xd2','\xc3','\x99','\x1b','\x8a','\x96','\x7c','\xe4',
'\xbe','\x26','\x16','\x2f','\xdd','\x8c','\x77','\x61','\xf8','\x44','\xbf','\x7d','\xa5','\xac','\x80','\x53',
'\x39','\x32','\x51','\x77','\xd7','\x99','\x33','\x0a','\xc4','\x54','\xc4','\xec','\x44','\x97','\xfd','\xf7',
'\x84','\xa0','\x01','\x5b','\xb3','\x83','\x5d','\xdf','\x4e','\x53','\xa9','\x33','\x68','\xe4','\x96','\xa6',
'\x44','\x07','\xfd','\xde','\x15','\xe0','\x2a','\x6e','\xb7','\xaa','\xc5','\x0f','\x77','\x6f','\x19','\x48',
'\xb3','\xa4','\x2d','\x93','\x69','\xbf','\x25','\x25','\x19','\xd8','\xb3','\x8d','\xbc','\xd3','\x42','\x8a',
'\x21','\x0c','\x81','\x08','\x8a','\xb1','\x0c','\xa8','\x99','\xca','\x9a','\x39','\xac','\xb0','\x52','\x4a',
'\x00','\x90','\x00','\x29','\x91','\x40','\x2b','\x35','\x04','\x29','\x98','\xd0','\x39','\x3c','\xb0','\x7b',
'\xdb','\x40','\xbb','\x35','\x2d','\xb8','\xd8','\xfb','\x0c','\x38','\x99','\xe3','\x0b','\x79','\x87','\x85',
'\x56','\x63','\x98','\x40','\x39','\x15','\x21','\x3b','\xf0','\x75','\xbf','\x1c','\xb5','\x68','\xe1','\xc7',
'\xbc','\x43','\x42','\xa3','\xb0','\x4c','\xaa','\x3d','\x8e','\x98','\x94','\x78','\xa0','\xf6','\x2a','\x42',
'\x77','\xf0','\xe9','\x7f','\x2d','\x28','\xd8','\xd2','\x9d','\x78','\xb2','\xd6','\x0f','\x50','\x1f','\x55',
'\x6f','\x5f','\x28','\x3b','\xe2','\x55','\x9a','\x0e','\xdd','\xcd','\x67','\xe7','\xb9','\x50','\x78','\x24',
'\xb7','\x3a','\xc5','\x26','\xe6','\x2f','\x32','\x7d','\xb7','\x8d','\xb5','\x43','\x50','\x83','\x95','\x5e',
'\xc2','\x98','\x08','\xb8','\x91','\x6b','\x9a','\x71','\x2d','\x34','\x18','\xeb','\x81','\xc8','\x8b','\x2d',
'\xcf','\xa9','\x02','\x79','\x95','\xa5','\x73','\x71','\xf0','\xe5','\xbf','\x35','\x24','\x28','\xca','\xf2',
'\xb8','\x6a','\xda','\x73','\x89','\x70','\x1a','\x46','\x55','\xd8','\x2f','\x4d','\x8d','\x4e','\xf2','\xb9',
'\x7b','\xc8','\x70','\x9c','\x26','\x51','\x5f','\x57','\xcb','\x1b','\x2a','\x96','\x36','\x45','\x3e','\x6e',
'\x9f','\x2a','\x97','\x27','\x57','\x3d','\x7b','\xc9','\x61','\x8e','\x25','\x44','\x09','\x1c','\xd2','\x19',
'\x39','\xa2','\x51','\x5e','\x46','\xd9','\x18','\x3f','\xc0','\x7d','\x5c','\x3c','\x7d','\xab','\x4d','\x8c',
'\x5f','\xe0','\xba','\x6e','\x9e','\x3b','\x85','\x24','\x42','\x6b','\x30','\xd0','\x63','\x9d','\x11','\x23',
'\x12','\x64','\x65','\x9e','\x2c','\xf5','\x0b','\x55','\x47','\xdf','\x7a','\x13','\xc2','\x07','\xf8','\x8f',
'\x0f','\xe7','\x6f','\x30','\xd9','\xf3','\x8f','\x18','\x97','\x40','\x27','\xf5','\x1c','\x25','\x68','\xc8',
'\x56','\xfc','\x68','\x77','\xa7','\x99','\xd4','\x7a','\x04','\xb2','\x28','\xef','\xa3','\xe0','\x4d','\x1f',
'\x6f','\xcf','\x28','\x12','\x73','\x15','\xb1','\x3b','\xd9','\xe4','\xff','\x37','\x80','\x6c','\xc8','\x5f',
'\x6c','\x7a','\x7e','\x13','\xcb','\x97','\xea','\x86','\xbb','\xb5','\x2c','\xa0','\x5b','\xfa','\x12','\xdb',
'\x94','\xfb','\x90','\xf8','\xa8','\x7e','\xbb','\x4a','\xdd','\x41','\xa7','\xf7','\x34','\xa0','\x6a','\xea',
'\x73','\xea','\x40','\xda','\x25','\xe9','\xd9','\x4c','\x7e','\x7d','\x2b','\x4d','\x84','\xde','\xe0','\xb0',
'\xcf','\x9a','\x33','\x0c','\xa4','\x58','\xc2','\x94','\xc8','\xa0','\x9d','\x9b','\x82','\x1e','\xed','\xec',
'\x14','\x97','\x58','\xa7','\xc4','\x04','\xc5','\x59','\x16','\xd6','\x4d','\x71','\x8f','\x15','\x46','\x4a',
'\x28','\x10','\x52','\x01','\xb1','\x12','\x49','\xb4','\xd6','\x03','\x90','\x07','\x59','\x9f','\x47','\x47',
'\xfb','\x3a','\x59','\xe6','\xd7','\xb2','\x82','\x4e','\xed','\x49','\x44','\xd7','\xfc','\x63','\xc6','\xa1',
'\x90','\x49','\xb8','\x17','\x0b','\x9e','\xf6','\x55','\xb2','\x8e','\x8f','\xe5','\x47','\xb5','\xdb','\xd1',
'\xaa','\x0e','\xbf','\xed','\xa5','\x85','\x11','\x13','\x12','\x07','\x55','\x5e','\x4f','\x49','\x0a','\x36',
'\x74','\x2f','\x1f','\xac','\xff','\xa2','\xd0','\x4f','\x5c','\x5b','\x0d','\x63','\x2a','\x60','\x56','\xa6',
'\xc9','\xd6','\xff','\x50','\xf0','\xa4','\xaf','\xb3','\x65','\x3c','\x0d','\xab','\xaa','\xfc','\x9f','\x06',
'\x56','\x6d','\x79','\x4c','\x35','\xcc','\xa9','\x04','\x19','\x99','\xa3','\x0b','\xfd','\xc7','\x85','\xd3',
'\x33','\x9a','\xc4','\x7d','\x55','\xac','\x6f','\xa2','\xf9','\xde','\x1c','\x70','\x38','\x67','\x03','\xf8',
'\x86','\x9f','\xf5','\x66','\x84','\x8b','\xb0','\x1f','\x9a','\x9e','\xdd','\xe4','\xf6','\xa7','\x92','\x65',
'\x7c','\x0d','\x2f','\xea','\xfc','\x1a','\x56','\x54','\xe9','\x3d','\x0c','\xb8','\x98','\xfb','\x88','\x78',
'\x99','\x66','\x5b','\x7b','\x03','\xc1','\x16','\xee','\xcc','\x12','\xb5','\x74','\x21','\xfe','\xa0','\xf3',
'\x7b','\x58','\x70','\xb5','\xb7','\x11','\x74','\x62','\xcf','\x32','\xb2','\x46','\x0f','\x79','\x8e','\x15',
'\x44','\x6a','\x2c','\x12','\x7a','\x85','\xa3','\x32','\x6d','\xb6','\xbc','\xa7','\x02','\x65','\x55','\x9c',
'\x6f','\xc1','\xc9','\x1e','\x7f','\xcc','\x39','\x04','\x30','\x08','\xe3','\x20','\xc8','\xc3','\xac','\x4b',
'\xe3','\xa3','\xf8','\xcd','\x2e','\x77','\x2f','\x19','\xcc','\xf3','\xa4','\xa8','\xc3','\x6b','\x3b','\x61',
'\x65','\x94','\x8c','\xe1','\x01','\xdd','\xd3','\x87','\xda','\xa7','\xc8','\xc5','\xcd','\x57','\xe7','\xda',
'\x60','\xb8','\x47','\x0b','\x3b','\xa6','\x15','\x16','\x4a','\x8d','\x40','\x12','\xa5','\x75','\x10','\xec',
'\xe1','\xc6','\xad','\x51','\x41','\xb6','\xe6','\x07','\xb3','\x3f','\x9d','\xac','\xf3','\x63','\xd8','\x41',
'\xad','\x57','\x20','\xaa','\xe2','\x7e','\x2b','\x4a','\xf4','\xd0','\xe7','\xdc','\x01','\xa4','\x43','\x72',
'\xa3','\xd3','\x7c','\x6a','\x5e','\x32','\x99','\xf7','\x4b','\x50','\x93','\x95','\x7f','\xd2','\xd8','\x29',
'\x2c','\x91','\x4a','\x8b','\x21','\x0e','\xa1','\x0c','\x88','\x99','\x88','\xba','\xb9','\xee','\x98','\x53',
'\x08','\x22','\x30','\x46','\x03','\xb8','\x86','\x1b','\xb5','\x66','\x01','\xdb','\xb2','\x9b','\xde','\xde',
'\x50','\xb0','\xa4','\x2b','\xf3','\x65','\xb9','\x5d','\xa9','\x2e','\xb8','\xdf','\x8b','\x02','\x3f','\xf5',
'\x2d','\x35','\x09','\xf9','\x82','\xdd','\xdd','\x66','\xd6','\xab','\x11','\x4d','\xf2','\xbe','\x0b','\xc6',
'\x77','\xf0','\xe8','\x6f','\x2f','\x29','\xcc','\x90','\x94','\x68','\xa0','\xd7','\x3a','\x02','\x56','\x64',
'\xe9','\x5e','\x3c','\x78','\xfb','\x47','\x89','\x1b','\xaa','\x96','\x3e','\xc4','\x3e','\x64','\x3e','\x2e',
'\x9f','\xae','\xd7','\x27','\xd2','\x6d','\x79','\x4d','\x25','\xce','\xa8','\x10','\x5b','\x90','\xb3','\x19',
'\xfc','\xf2','\xd7','\x9a','\x02','\x1c','\xc5','\x69','\x16','\xb5','\x7d','\xb1','\xec','\xa9','\x47','\x29',
'\x1b','\xe0','\x37','\xbe','\x8c','\xb7','\x61','\x74','\x85','\xbf','\xf2','\x54','\xaa','\x0c','\x9e','\xf9',
'\xa5','\xac','\x81','\x43','\x3b','\x33','\x45','\x35','\xde','\x89','\x21','\x0b','\xf1','\x06','\x8d','\xdd',
'\xc2','\x96','\xe9','\xb4','\x9d','\xb2','\x12','\x4e','\xc4','\xd8','\x04','\xfc','\xc9','\x67','\xef','\x39',
'\x40','\x70','\x84','\xa7','\x70','\x45','\xb6','\xee','\x87','\xa3','\x37','\x3d','\xbc','\xb9','\xe3','\x48',
'\x49','\x05','\xc6','\x6a','\x20','\xd3','\x72','\x8b','\x52','\x3e','\x40','\x7f','\x74','\xb9','\x7f','\x89',
'\x68','\x9a','\x77','\x4d','\x38','\x1e','\x93','\x0d','\xff','\xeb','\x41','\xc9','\x17','\xee','\xce','\x32',
'\xb1','\x76','\x09','\x7a','\xb2','\xd3','\x5f','\x5a','\x1a','\x11','\x25','\x73','\x78','\x61','\xe7','\xb4',
'\x80','\x62','\x29','\x53','\x60','\xa3','\xf6','\x2c','\x22','\x7b','\xf6','\x91','\xf3','\x1a','\x48','\xb4',
'\xd4','\x23','\x94','\x05','\x71','\x1b','\x55','\x67','\xdf','\x38','\x33','\x42','\x45','\xd0','\x8e','\x4d',
'\xc5','\xcf','\x76','\xf3','\xda','\x49','\x28','\x17','\x22','\x0f','\xb6','\x7e','\x87','\x8a','\xa6','\x7d',
'\x97','\x8c','\xe7','\x61','\xd1','\xd5','\xff','\x56','\x90','\xa8','\xa9','\xcb','\xe9','\x0b','\x6d','\xc7',
'\xac','\x42','\x73','\xb1','\xf1','\x79','\x7c','\x34','\xbf','\x9b','\xc5','\x6e','\x67','\xab','\x78','\xdc',
'\x36','\xd5','\x3e','\x47','\x0e','\x6a','\xbc','\x12','\x53','\x14','\xe3','\x19','\x58','\xb2','\x95','\x3f',
'\xd2','\x5c','\x69','\x2c','\x14','\x1a','\x89','\xa5','\x4a','\xe1','\x81','\xdc','\xcb','\x04','\xdb','\xb9',
'\x2b','\xc8','\xd5','\xcc','\x66','\xf5','\x9b','\x55','\x6e','\x4e','\x3a','\x38','\xf7','\x03','\xd1','\x17',
'\xdf','\xde','\x53','\x80','\xa2','\x28','\xcf','\xa3','\xa2','\x6d','\x9f','\x2d','\xe7','\x29','\x50','\x51',
'\xb5','\xf7','\x11','\xf0','\x22','\xcf','\xb7','\xe2','\x44','\x8b','\x3d','\xce','\x98','\x10','\x38','\xa0',
'\x73','\x7a','\x40','\xf3','\xb4','\xa9','\xf2','\x79','\x7a','\x54','\xb3','\x9d','\xbd','\xe2','\x50','\xcb',
'\x14','\xda','\x88','\x39','\x89','\xe0','\x1a','\x6f','\xc4','\x98','\x04','\x78','\x89','\x67','\x6a','\x69',
'\x42','\xf4','\xc0','\xe7','\xfd','\x11','\xe4','\x62','\xe6','\xa3','\xf2','\x6d','\x3a','\x7d','\xa7','\x8d',
'\x94','\x53','\x10','\xa2','\x01','\x5e','\xe3','\x89','\x58','\x9b','\x04','\x7f','\xf9','\x69','\x6d','\x05',
'\x8c','\xca','\xb0','\x99','\xfa','\x9a','\x5a','\x9c','\x70','\x31','\xf6','\x01','\xf3','\x33','\xd9','\xf4',
'\xff','\x16','\x90','\x2c','\xe9','\xcb','\x6c','\x5b','\x6f','\x43','\xe8','\x02','\xfe','\xe5','\xa3','\xf5',
'\x1d','\x34','\x7a','\xcb','\x43','\xaa','\x23','\x6e','\xa5','\x8a','\xe0','\x1d','\x1f','\xca','\x9f','\x68',
'\xb6','\xb7','\x17','\x14','\x6e','\xc9','\x4a','\x3e','\x71','\x6f','\x15','\x88','\xab','\xa8','\xdd','\x8b',
'\x06','\x7f','\xfd','\x29','\x65','\x01','\xdc','\xc2','\x95','\xd9','\xb2','\x9e','\x8e','\xd4','\x55','\xf4',
'\xee','\x07','\xa3','\x3f','\xbc','\xbc','\xb3','\x42','\x4c','\x41','\x8c','\x46','\x70','\x89','\x77','\x6a',
'\x48','\x52','\xb4','\xe1','\x73','\xfd','\x30','\xf5','\x32','\xc5','\x36','\xe6','\x0e','\x22','\x3d','\x96',
'\x19','\xb5','\x62','\x41','\xd3','\xb6','\xcb','\xd6','\xfb','\x10','\xf8','\xa0','\xff','\xbb','\x40','\x7c',
'\x45','\xaf','\x7e','\xb4','\xba','\xc3','\x4e','\x6b','\x29','\x40','\x50','\x84','\xe5','\x50','\xc5','\xf4',
'\xc6','\x86','\xe1','\x15','\x9d','\xfa','\x93','\xca','\x8e','\x79','\x85','\xa4','\x42','\x63','\xb1','\xd0',
'\x69','\x3c','\x15','\x2b','\x9b','\xe4','\x7f','\x37','\x88','\xed','\xc8','\x55','\xcd','\x7e','\x76','\x9a',
'\x4b','\x8d','\x43','\x22','\xa3','\x76','\x2c','\x2a','\xfa','\xf6','\x9b','\x52','\x1e','\x40','\x3d','\x54',
'\x39','\x3d','\xa1','\x69','\xd8','\x55','\xed','\x7e','\x34','\xba','\xcb','\xcf','\x6b','\x23','\xe1','\x54',
'\x8c','\x6c','\xd0','\xdf','\x5d','\x62','\x9e','\x22','\x15','\x17','\x5b','\x9f','\x43','\x07','\xf3','\x3e',
'\x09','\xee','\xf2','\xf2','\xca','\x4a','\x39','\x01','\x61','\x12','\xe4','\x65','\x96','\xad','\xf5','\x01',
'\xf4','\x43','\xd7','\xf3','\x93','\xd8','\xae','\x5c','\x97','\xcc','\xe7','\xe5','\x91','\xd5','\x7a','\x06',
'\x92','\x2c','\xed','\x8b','\x64','\x5f','\x3f','\x4b','\xcd','\x42','\xb6','\xe1','\x77','\xbd','\x38','\xf1',
'\x62','\xcd','\x13','\xa6','\x46','\x26','\xe9','\xde','\x3c','\x70','\x7a','\x47','\x83','\xba','\xae','\x9e',
'\xb7','\x44','\x24','\xcd','\x9a','\x36','\x5c','\xae','\x5d','\x86','\xde','\xe4','\xf0','\xc7','\x9e','\x63',
'\x04','\x81','\x18','\x8a','\x90','\x1c','\xe8','\xb8','\x5e','\x9a','\x18','\xbd','\xe0','\x71','\xdf','\x14',
'\xf3','\x18','\x69','\xa0','\xd4','\x0a','\x04','\x55','\x58','\x2f','\x45','\x0c','\x4e','\xf8','\x18','\x7f',
'\xc0','\xf9','\x1c','\x3c','\xf8','\xfb','\x4f','\x08','\x1b','\xa0','\x37','\x3a','\xcc','\xb7','\xe4','\x24',
'\x87','\x3b','\xb6','\x14','\x27','\x58','\xcc','\x75','\xc4','\xac','\x44','\x13','\xbd','\xf7','\x01','\xf0',
'\x03','\xdf','\xf7','\xc3','\xd0','\x8b','\x1c','\xdf','\xc8','\x33','\xad','\xb4','\x10','\x62','\x00','\xc2',
'\x20','\x88','\xc3','\x28','\x0b','\xe3','\x26','\xa8','\xcf','\xaa','\x33','\x6f','\x94','\x98','\xa1','\x28',
'\xc9','\xc3','\xae','\x6b','\xe7','\xa1','\xd0','\x49','\x3c','\x57','\x0b','\x1b','\xa6','\x57','\x36','\xca',
'\xcf','\x68','\x13','\xe7','\x57','\xb0','\xaa','\xcb','\xef','\x6b','\x61','\xc1','\xd4','\xce','\x44','\xd1',
'\x9d','\x7f','\xc2','\xd8','\x08','\x3c','\xd1','\x6b','\x1f','\x21','\x2f','\xb0','\x5c','\xab','\x0c','\x9c',
'\xd9','\xa1','\xae','\xa9','\xc7','\x29','\x13','\x61','\x37','\xb4','\x2d','\xb3','\x69','\xfd','\x05','\xa5',
'\x5b','\xf0','\xb2','\xcf','\x9e','\x73','\x04','\xa0','\x08','\xca','\xb1','\x88','\xe8','\x99','\x4f','\xca',
'\x3b','\x28','\xf4','\x12','\xc7','\x54','\xc2','\x8c','\x48','\x91','\x85','\x7b','\xb3','\xc0','\x6d','\x5d',
'\x0d','\x6f','\xea','\x78','\x5a','\x56','\xd1','\xb9','\x3f','\x88','\xfc','\xd8','\x76','\xdc','\x2a','\x15',
'\x07','\x5b','\xbe','\x53','\x47','\xd2','\xaa','\x09','\xcf','\xe3','\xa2','\xe9','\xdf','\x2d','\x62','\x79',
'\x52','\xd5','\xf1','\xb7','\x9c','\xa4','\x70','\x43','\xd6','\xe2','\x81','\xdb','\xbb','\x0a','\xdc','\xd5',
'\xe5','\xf6','\xa5','\xb2','\x61','\x7e','\x25','\xab','\xf8','\xdc','\x3e','\x54','\x3e','\x4d','\xaf','\x6e',
'\xb4','\x9b','\xd3','\x0e','\x4a','\xbd','\x40','\x71','\x95','\xb5','\x73','\x50','\xe0','\xa5','\x9e','\xa1',
'\x24','\x09','\xdb','\xa2','\x9b','\xff','\xce','\x10','\x91','\x30','\x2b','\xd2','\x74','\xe9','\x7e','\x3c',
'\x3a','\xdb','\xc7','\xcb','\x33','\xab','\xd4','\x1c','\x64','\x78','\x4e','\x17','\xe8','\xaf','\x2e','\xb5',
'\x0f','\x91','\x0f','\xdb','\xaf','\x4b','\xe5','\xc3','\xf4','\xcb','\x56','\xfb','\x18','\x79','\xa0','\xf5',
'\x1a','\x44','\x74','\xcc','\x2f','\x64','\x1d','\x1e','\xdb','\x8d','\x6b','\xa3','\xe1','\x5c','\x0d','\x6c',
'\xda','\x7e','\x59','\x6a','\x17','\xa2','\x0f','\xbe','\xff','\x87','\x80','\x07','\x79','\x9f','\x05','\x67',
'\x7b','\x78','\x71','\xe7','\x95','\x90','\x22','\x08','\xc7','\x60','\x82','\xe7','\x7c','\x01','\xee','\xe2',
'\xf2','\xeb','\x5a','\x79','\x20','\xf5','\x12','\xc5','\x74','\xc6','\x8e','\x60','\x15','\x97','\x5b','\x97',
'\xc2','\x07','\xf9','\x9f','\x0d','\xe6','\x7b','\x72','\xd0','\xe3','\x9d','\x19','\xa2','\x12','\x6e','\xc4',
'\x9a','\x24','\x7c','\x8b','\x4f','\xee','\x7b','\x62','\xd0','\xc2','\x8d','\x59','\x83','\x86','\x6e','\xe5',
'\x8b','\x74','\x5f','\x1e','\x5b','\x8d','\x63','\x22','\xe1','\x56','\xac','\x68','\xd2','\xf7','\xd9','\x70',
'\xbe','\x06','\x17','\x7d','\xff','\x0d','\x21','\x0b','\xf0','\x16','\x8f','\xdc','\xd6','\xd4','\xe0','\xa4',
'\x8f','\xb3','\x27','\x1c','\x8d','\xe9','\x82','\xfd','\xdd','\x24','\xf6','\x2b','\x53','\x65','\xf3','\xfc',
'\x29','\x66','\x31','\xda','\xc1','\xa9','\x1f','\xa9','\xae','\xb8','\xd7','\x0a','\x02','\x35','\x54','\x29',
'\x3d','\x80','\x79','\x98','\x74','\x79','\x7e','\x15','\xab','\x9b','\xec','\xfe','\x37','\x82','\x4c','\xcc',
'\x5d','\x44','\xfe','\x6c','\x33','\xef','\x95','\x80','\x22','\x29','\xd7','\x20','\xa3','\x73','\x7c','\x20',
'\xff','\xb2','\xd1','\x7e','\x4e','\x1a','\x38','\xb5','\x23','\x51','\x55','\xf7','\xdf','\x11','\xa2','\x02',
'\x6e','\xe5','\x8a','\x64','\x5d','\x1f','\x4f','\xcf','\x6a','\x32','\xf3','\x57','\x99','\x3a','\x9b','\xc6',
'\x5f','\x71','\xaa','\x45','\x0e','\x6f','\xec','\x18','\x56','\x50','\xa9','\x35','\x08','\xe8','\x90','\xde',
'\xc8','\x30','\x9d','\xb2','\x13','\x5e','\xc6','\xd9','\x10','\xbe','\xc0','\x77','\xfd','\x38','\x75','\x22',
'\xcd','\x96','\xf6','\x44','\xa2','\xad','\x9e','\xb1','\x24','\x28','\xcb','\xe2','\xba','\x6b','\xce','\x31',
'\x80','\x60','\x08','\x47','\x60','\x8a','\x66','\x7c','\x0b','\x4f','\xe6','\xfa','\x62','\xda','\x63','\x89',
'\x51','\x0a','\x06','\x74','\x4c','\x2f','\x6c','\x9c','\x1e','\xd1','\x2c','\x6f','\xab','\x68','\xdc','\x17',
'\xc5','\x7e','\x66','\x9a','\x6a','\x9d','\x03','\x03','\x37','\x76','\x0d','\x3b','\xaa','\xd5','\x0e','\x46',
'\x7d','\x58','\x7d','\x65','\xad','\x1c','\x90','\x38','\xa9','\xe2','\x78','\x4b','\x46','\xf2','\xa8','\x6b',
'\xeb','\x61','\xc8','\x45','\xcc','\x4f','\x64','\xdb','\x7e','\x5b','\x4a','\x13','\xa0','\x27','\x3a','\xed',
'\xa7','\xa4','\x05','\x13','\x3b','\x97','\x05','\x77','\x7b','\x59','\x61','\xa7','\xb4','\x04','\x22','\x29',
'\xd6','\x30','\xa1','\x72','\x68','\x62','\xf6','\xa2','\xc3','\x7f','\x7b','\x48','\x71','\x84','\xa5','\x50',
'\x41','\xb4','\xc6','\x03','\xb1','\x17','\x19','\xbe','\xd3','\x47','\xda','\x2b','\x09','\xc5','\x42','\xa6',
'\xe1','\x56','\xad','\x78','\xd0','\xf6','\xcd','\x32','\xb7','\x16','\x05','\x7c','\xca','\x5f','\x68','\x3a',
'\x76','\x17','\x9b','\x9f','\xcf','\xc6','\xf3','\xb1','\xf8','\xe8','\x7e','\x3f','\x0a','\xdd','\xc4','\xf7',
'\xf5','\xb0','\xe4','\x2a','\x67','\x27','\xb8','\xcc','\xbb','\x25','\x2c','\x89','\xca','\xba','\x39','\xee',
'\x90','\xd2','\x08','\x28','\x91','\x42','\x0b','\x31','\x06','\x01','\x1c','\xc2','\x19','\x18','\xb2','\x11',
'\x7f','\xd2','\xd9','\x39','\x2e','\x90','\x5e','\xc9','\x28','\x1e','\xb3','\x0d','\xbd','\xcb','\xc1','\x8b',
'\x3f','\xef','\x8c','\x10','\x11','\x30','\x23','\x53','\x74','\xe3','\xdf','\x38','\x32','\x52','\x47','\xd1',
'\x9a','\x0f','\xcc','\xdf','\x64','\xf2','\xef','\x1b','\x61','\x26','\xa4','\x0e','\xa2','\x3d','\x9e','\x98',
'\xb5','\x68','\xe0','\xd7','\xbe','\x42','\x56','\xe1','\xb9','\x5c','\xb8','\x3c','\xbb','\xca','\xdd','\x49',
'\x26','\xf7','\x3e','\x01','\x6e','\xe2','\xfa','\x6a','\x5a','\x73','\x81','\xf1','\x1a','\x4c','\xf4','\xdc',
'\x27','\xc4','\x0d','\x54','\x5b','\x1d','\x63','\x0b','\x70','\x16','\x87','\x5d','\xd6','\xde','\x41','\xa0',
'\x87','\x3a','\xa7','\x06','\x24','\x4d','\x9a','\x3e','\xdd','\xae','\x57','\x27','\xda','\xec','\x79','\x47',
'\x84','\xca','\xa0','\x99','\xdb','\x8a','\x1a','\xbd','\xe4','\x31','\xd7','\x10','\xa3','\x10','\x4c','\xe0',
'\x9c','\x0e','\xd0','\x1d','\x7d','\xea','\x5d','\x0a','\x1e','\xf4','\x7d','\x37','\x8c','\xad','\xc0','\x51',
'\x9d','\x76','\x53','\xda','\x03','\x89','\x97','\x6a','\x86','\xb3','\x34','\x2c','\xaa','\xfa','\xfe','\x1a',
'\x52','\x14','\xe1','\x39','\x5c','\xb0','\xbd','\xbb','\xc0','\x7c','\x4d','\x2e','\x7e','\xbe','\x1b','\xc7',
'\x46','\xe2','\xa9','\x5a','\xf9','\x20','\xfd','\x93','\xc5','\x7e','\x67','\x8a','\x68','\x9c','\x17','\x41',
'\x3e','\x66','\x1f','\x3a','\x9f','\x87','\x47','\x77','\xfb','\x59','\x69','\x26','\xb4','\x0e','\x83','\x2d',
'\xde','\xb9','\x21','\x68','\xc1','\xc6','\xee','\x61','\xc3','\xf5','\xda','\x44','\xf8','\x0d','\x2f','\xeb',
'\xec','\x18','\x57','\x40','\xab','\x34','\x1c','\xaa','\x99','\xce','\xda','\x31','\xa8','\xe0','\x5a','\x6f',
'\x40','\xd8','\x04','\xfd','\xd9','\x65','\xee','\x2d','\x02','\x79','\x94','\xb5','\x71','\x70','\xe4','\xa7',
'\xb6','\x25','\x36','\x29','\xff','\xa0','\xf1','\x5b','\x5c','\x72','\x9d','\x33','\x03','\x54','\x46','\xcd',
'\x58','\x16','\xd4','\x6d','\x75','\x8d','\x3d','\xc2','\x58','\x08','\x34','\x50','\x6b','\x15','\x80','\x2b',
'\xb8','\xd5','\x2b','\x16','\x35','\x7d','\xb9','\x6d','\xa9','\x4d','\x88','\x1f','\xe8','\xbe','\x3e','\x96',
'\x1e','\xc5','\x6c','\x46','\xbf','\x78','\xf5','\xa6','\x85','\x17','\x73','\x1e','\x01','\x2d','\xd2','\x78',
'\x29','\x66','\x30','\xca','\xc3','\xa8','\x0b','\xeb','\xa7','\xa8','\xc5','\x0b','\x37','\x67','\x1d','\x18',
'\xbb','\x81','\x6d','\xdb','\x6d','\x6b','\x6d','\x00','\xdc','\xc0','\xb5','\xdd','\xb0','\xb6','\x0a','\xc6',
'\x75','\xd0','\xec','\x6d','\x07','\xad','\xde','\xb0','\xb0','\x6a','\xca','\x73','\xa8','\x60','\x5a','\x67',
'\xc1','\xd8','\x0e','\x5c','\xdd','\x6d','\x67','\xad','\x18','\xd0','\x30','\xad','\xb2','\x70','\x6e','\x06',
'\xba','\xac','\xbf','\xa3','\x44','\x0d','\x5d','\xca','\x1f','\x68','\xbe','\x36','\x17','\x1e','\xcf','\xcd',
'\x42','\xb7','\xf1','\x75','\xbc','\x2c','\xb3','\x6b','\xdd','\x01','\xa7','\x73','\x74','\xa0','\xef','\xba',
'\x71','\x6e','\x04','\x9a','\xa8','\xbd','\x8b','\xc0','\x1f','\x7d','\xee','\x1d','\x02','\x1a','\xa4','\x75',
'\x12','\xcc','\xe5','\xc4','\x85','\xd5','\x53','\x96','\xc2','\x05','\xd9','\x9b','\x0f','\xce','\xff','\x60',
'\xf0','\xc7','\x9f','\x73','\x06','\x80','\x0c','\xc8','\x99','\x0c','\xfa','\xb9','\x6b','\xc8','\x51','\x8c',
'\x66','\x70','\xcb','\x57','\xea','\x0a','\x7a','\xb5','\xa3','\x51','\x5d','\x76','\xdf','\x1b','\x03','\x06',
'\x66','\x6c','\x0a','\x7e','\xf4','\xbb','\x57','\x0c','\x6a','\xb8','\x52','\x5b','\x10','\xb3','\x11','\x7d',
'\xf2','\xdd','\x3b','\x06','\x14','\x4c','\xe9','\x0c','\x1c','\xd9','\xa9','\x2f','\xa9','\xcd','\x88','\x17',
'\x69','\xbe','\x34','\x37','\x1a','\xcd','\xe5','\xc6','\xa5','\xd1','\x51','\xbe','\x46','\x17','\xf9','\xbf',
'\x0d','\xa4','\x5b','\xf2','\x92','\xcb','\x9c','\x5b','\x80','\xb2','\x28','\xee','\xb3','\xe2','\x4c','\x0b',
'\x2d','\xc6','\x38','\x00','\x72','\x20','\xe3','\x72','\xe8','\x62','\xfe','\x23','\xc3','\x75','\xda','\x4c',
'\x79','\x0d','\x25','\x4a','\xe8','\x10','\xde','\xc0','\xb1','\x9d','\xb8','\xb2','\x5a','\xce','\x50','\x90',
'\xa4','\x69','\xd3','\xe5','\xfb','\x75','\xa8','\x6c','\x9a','\x7f','\xcd','\x28','\x16','\x33','\x1d','\xb5',
'\x6b','\xd1','\xc1','\xbf','\x7f','\x84','\xb8','\x80','\x7a','\xa9','\x62','\x78','\x43','\xc7','\xf2','\xa2',
'\xca','\xef','\x69','\x41','\xc5','\xd6','\xe6','\xc0','\xc3','\xbd','\x5b','\xc0','\xb2','\xac','\xae','\xb3',
'\x67','\x1c','\x09','\xa9','\x82','\x78','\x8d','\x26','\x72','\x6f','\x13','\xe8','\xa7','\xae','\xa5','\x07',
'\x31','\x1f','\x91','\x2f','\xdb','\xed','\x6b','\x65','\x81','\xdc','\xca','\x14','\xd9','\xb8','\x3f','\x8a',
'\xdc','\xdc','\x74','\xf4','\xae','\x07','\x27','\x7f','\xbc','\x39','\xe3','\x40','\xc8','\x05','\xcc','\xcb',
'\x24','\xdb','\xfb','\x0b','\x48','\x97','\xe4','\x67','\xb7','\xb9','\xf5','\x28','\x64','\x13','\xfe','\xc7',
'\x83','\xb3','\x3f','\x9c','\xbc','\xf1','\x62','\xcc','\x03','\xa4','\x47','\x32','\xab','\xd7','\x2c','\x62',
'\x7b','\x72','\xd1','\xf3','\x9f','\x18','\xb6','\x50','\x67','\xd4','\x88','\x25','\x49','\xd9','\x06','\xdf',
'\xfd','\x63','\xc4','\x81','\x94','\x4b','\x90','\x93','\x19','\xbe','\xd2','\x57','\xd8','\x2a','\x1d','\x87',
'\x4b','\xb6','\xf3','\x57','\x98','\x2a','\x99','\xc7','\x4b','\x33','\xa3','\x55','\x1c','\x6e','\xd9','\x4a',
'\x1f','\x61','\x2f','\x34','\x1c','\xab','\x89','\xcc','\xdb','\x25','\xea','\xe9','\x4a','\x7d','\x41','\xed',
'\x56','\xb4','\xe8','\xe3','\xef','\x39','\x41','\x60','\x86','\xa6','\x64','\x07','\xbf','\xfe','\x95','\xa2',
'\x02','\x6f','\xf5','\x88','\x65','\x49','\x5d','\x46','\xdf','\x78','\x33','\xc6','\x05','\xd0','\x0b','\x1d',
'\xc7','\x4b','\x32','\xb3','\x57','\x1d','\x7a','\x9b','\x43','\x0f','\x73','\x2e','\x01','\x4e','\xe2','\xb8',
'\x4a','\xda','\x31','\xa9','\xf0','\x58','\x6e','\x54','\x9a','\x0d','\xed','\xcb','\x64','\xdb','\x7f','\x4b',
'\x48','\x12','\xb4','\x65','\x33','\xfd','\xb5','\xa5','\x30','\x41','\x72','\xa6','\x83','\x76','\x6f','\x1a',
'\x78','\xb5','\xa7','\x11','\x55','\x72','\x8f','\x13','\x26','\x46','\x2e','\x68','\xde','\x36','\xd1','\x7e',
'\x4f','\x0a','\x3a','\xb4','\x37','\x13','\x5c','\xe7','\xcd','\x10','\x97','\x50','\x27','\xd4','\x0c','\x65',
'\x49','\x5c','\x56','\xdd','\x79','\x27','\x84','\x0c','\xc0','\x19','\x1c','\xf2','\x19','\x7b','\x82','\xd1',
'\x1c','\x6e','\xd8','\x5a','\x1d','\x60','\x3b','\x76','\x15','\xbb','\x9b','\xcd','\xee','\x77','\xa3','\xd8',
'\xcc','\x7c','\x55','\xae','\x4f','\xa6','\xfb','\xf6','\x98','\x62','\x18','\x43','\x01','\x92','\x22','\x0d',
'\x97','\x6a','\x87','\xa3','\x36','\x2d','\xbe','\xb8','\xf7','\x0a','\x40','\x15','\xd4','\x6b','\x15','\x81',
'\x3b','\xba','\xd4','\x3f','\x54','\x3c','\x6d','\xab','\x6c','\x9c','\x1f','\xc1','\x2e','\x6e','\xbf','\x2a',
'\xd5','\x07','\xd7','\x7f','\x53','\xc8','\x23','\xac','\x85','\x02','\x23','\x35','\x14','\x29','\xb9','\xc0',
'\x79','\x1d','\x24','\x7b','\xfa','\x51','\xeb','\x16','\xb8','\xac','\xbb','\xe3','\x4c','\x09','\x0d','\xc2',
'\x3a','\x28','\xf6','\x32','\xc3','\x56','\xea','\x08','\x5a','\xb1','\xa1','\x79','\xd9','\x64','\xff','\x3f',
'\x01','\x6c','\xc2','\xfe','\x68','\x72','\xf7','\x93','\xd1','\x3e','\x4e','\x9e','\x78','\xb5','\xa6','\x01',
'\x57','\x73','\x9b','\x51','\x2f','\x56','\x3c','\x69','\xeb','\x64','\x98','\x4f','\xc9','\x0b','\x2e','\xf7',
'\x2e','\x01','\x4f','\xf2','\xba','\x4b','\xce','\x73','\xa0','\xe0','\x4a','\x6f','\x61','\xc8','\x44','\xdc',
'\x4d','\x65','\xcf','\x3c','\x52','\x5a','\x01','\xa1','\x12','\x68','\xa4','\x96','\x22','\x04','\x07','\x78',
'\x8e','\x17','\x64','\x6e','\x2e','\x3a','\xfe','\x97','\x83','\x16','\x6f','\xdc','\x18','\x35','\x60','\x69',
'\x56','\xb4','\xe9','\xf3','\xed','\x38','\x55','\x22','\x8f','\xb6','\x76','\x06','\x8a','\xac','\xdc','\x93',
'\x84','\x6e','\xe1','\xcb','\x7c','\x5b','\x4e','\x53','\xa8','\x23','\x6a','\xe5','\x82','\xe4','\x4d','\x17',
'\xef','\xdf','\x20','\xb2','\x63','\x5f','\x31','\xab','\xd1','\x4c','\x6e','\x7d','\x0a','\x5d','\xc4','\xff',
'\x74','\xb0','\xee','\x8b','\x63','\x2f','\x31','\x4c','\xa1','\x8c','\x88','\x91','\x09','\xba','\xb3','\x4f',
'\x9c','\x5b','\x81','\xa2','\x2a','\xef','\xa7','\xa0','\x45','\x1b','\x3f','\xc7','\x0d','\x52','\x3b','\x11',
'\x65','\x73','\xfc','\x21','\xe7','\x31','\xd0','\x60','\xad','\x17','\x20','\x2e','\xa2','\x7e','\xae','\x1a',
'\xf6','\x54','\xa3','\x9c','\x8c','\xf0','\x11','\xfe','\xc2','\xd3','\xb9','\x3a','\xd8','\xf6','\xdd','\x32',
'\x96','\x06','\x45','\x5d','\x5e','\x5f','\x49','\x2b','\x26','\x34','\x0e','\x8b','\xac','\xde','\xb3','\x80',
'\x6c','\xc9','\x4f','\x6e','\x7b','\x6a','\x51','\xc2','\x87','\xf8','\x87','\x8e','\xe7','\x65','\x91','\xdd',
'\xfb','\x06','\x98','\x8d','\xe9','\x83','\xed','\xdf','\x25','\xe2','\x69','\x5a','\x75','\xe1','\xfd','\x1c',
'\x34','\x78','\xeb','\x47','\xa8','\x0b','\xea','\xb7','\xaa','\xc4','\x1f','\x75','\x6e','\x0d','\x0a','\xba',
'\xb4','\x3f','\x92','\x5c','\xed','\x6c','\x14','\x9f','\xd9','\xa7','\xce','\xa5','\xc1','\x51','\x9f','\x56',
'\x57','\xd8','\x2b','\x0d','\x85','\x4a','\xa2','\xb1','\x5e','\x88','\x38','\x98','\xf2','\x19','\x7a','\x92',
'\xd3','\x1d','\x7a','\x9a','\x53','\x0d','\x72','\x3a','\x43','\x47','\xf2','\xaa','\x4b','\xef','\x63','\xe0',
'\xc1','\xde','\x6f','\x40','\xd9','\x14','\xff','\xd8','\x71','\xac','\x24','\x12','\x6b','\x95','\x80','\x23',
'\x39','\xd5','\x21','\xb7','\x31','\x75','\x30','\xed','\xb3','\xe4','\x2c','\x07','\x2b','\xbe','\xb4','\x37',
'\x12','\x4c','\xe5','\xcc','\x04','\xd5','\x59','\x37','\xc6','\x0d','\x50','\x1b','\x15','\x67','\x5b','\x78',
'\x33','\xc7','\x15','\xd2','\x0a','\x09','\x85','\x42','\x22','\xa1','\x56','\x28','\x28','\xd2','\x72','\x89',
'\x72','\x3a','\x42','\x57','\xf0','\xab','\x5f','\xad','\x6a','\xf0','\xd3','\xdf','\x5a','\x12','\x90','\x25',
'\x79','\xd9','\x65','\xef','\x3d','\x00','\x78','\x80','\xf7','\x78','\x60','\xf6','\xa6','\x83','\x77','\x7f',
'\x18','\x79','\xa1','\xe5','\x18','\x45','\x60','\x8e','\x26','\x74','\x0f','\x1f','\xee','\xdf','\x22','\x92',
'\x67','\x5d','\x19','\x2f','\xc3','\x6c','\x4a','\x7f','\x60','\xf9','\x56','\x9d','\x78','\xb3','\xc6','\x0d',
'\x51','\x0b','\x17','\x66','\x4f','\x3a','\x3a','\xd7','\x07','\xd3','\x3f','\x5b','\xcc','\x73','\xa4','\xa0',
'\x42','\x6b','\x31','\xc0','\x61','\x9c','\x05','\x61','\x1b','\x74','\x77','\x9f','\x19','\xa7','\x42','\x64',
'\xc1','\xde','\x6e','\x50','\xdb','\x15','\xeb','\x9a','\x78','\xbc','\x36','\x13','\x5e','\xc7','\xc9','\x12',
'\xbf','\xd4','\x35','\xf4','\x28','\x67','\x23','\xf8','\xc4','\xbf','\x75','\x24','\xac','\x8a','\xf2','\x3d',
'\x3a','\xd8','\xf7','\xcd','\x30','\x97','\x12','\x07','\x54','\x4e','\x4d','\x48','\x1e','\x74','\x7d','\x3f',
'\x0d','\xad','\xca','\xf0','\x99','\x7e','\xda','\x5a','\x19','\x20','\x33','\x72','\x45','\xb3','\xbe','\x8d',
'\xa6','\x73','\x77','\x90','\xe9','\xb9','\x4d','\xa8','\x1f','\xaa','\x9e','\xbe','\xd4','\x36','\xc4','\x2e',
'\x64','\x1f','\x3e','\xdf','\x8f','\x43','\x27','\xf3','\x7c','\x29','\x6e','\xb0','\xda','\xcb','\x08','\x1b',
'\xa1','\x27','\x38','\xcd','\xa3','\xa6','\x2d','\x97','\x29','\xb7','\x21','\x75','\x11','\xfd','\xf3','\xc5',
'\xb8','\x07','\x0a','\xaf','\xe4','\x14','\x87','\x58','\x86','\xd4','\x44','\xe4','\xcd','\x16','\xf7','\x5c',
'\x21','\xac','\x80','\x52','\x29','\x30','\x50','\x63','\x95','\x90','\x23','\x18','\xc5','\x61','\x96','\xa5',
'\x75','\x11','\xfc','\xe3','\xc7','\xb9','\x13','\x48','\xa6','\xf4','\x06','\x86','\x6d','\xd4','\x9d','\x75',
'\x62','\xcc','\x02','\xb4','\x45','\x33','\xbf','\x95','\x25','\x72','\x69','\x73','\xe4','\xa1','\xd6','\x29',
'\x30','\x51','\x73','\x97','\x91','\x37','\x5a','\xcc','\x71','\x84','\xa4','\x40','\x43','\xb5','\xd2','\x41',
'\xb8','\x07','\x0b','\xbf','\xe6','\x15','\x93','\x1a','\x8f','\xc4','\x56','\xe5','\xf8','\x44','\xbe','\x6d',
'\xa7','\xad','\x94','\x11','\x30','\x22','\x43','\x76','\xe2','\xcb','\x7a','\x3b','\x42','\x55','\xd0','\xaf',
'\x5d','\x85','\xee','\xe2','\xf3','\xfb','\x58','\x78','\x34','\xb7','\x1b','\xd5','\x66','\xc7','\xbb','\x32',
'\x5c','\xa6','\xdd','\x96','\xd6','\x44','\xe0','\x8d','\x1e','\xf3','\x0c','\x29','\x89','\xc0','\x1a','\x2d',
'\xe4','\x18','\x46','\x50','\x88','\x25','\x48','\xc9','\x04','\xde','\xe9','\x21','\xcd','\x91','\x86','\x4a',
'\xa5','\xc1','\x50','\x8f','\x54','\x56','\xcc','\x69','\x04','\x95','\x58','\xa3','\x84','\x0c','\xc1','\x09',
'\x1e','\xf3','\x0d','\x39','\x8b','\xc1','\x0e','\x6f','\xed','\x08','\x54','\x51','\xbd','\x77','\x01','\xf8',
'\x82','\xdf','\xfd','\x62','\xd4','\x83','\x95','\x5f','\xd2','\x9a','\x09','\xac','\xd3','\x62','\x8a','\x63',
'\x2c','\x01','\x4a','\xa2','\xb0','\x4e','\x8a','\x39','\x8c','\xb0','\x10','\x6a','\x80','\xd2','\x28','\x28',
'\xd3','\x62','\x8b','\x73','\x2e','\x00','\x5e','\xe0','\xb9','\x5e','\x98','\x38','\xb9','\xe2','\x59','\x5b',
'\x06','\xd3','\x3c','\x6b','\xca','\x70','\x98','\x66','\x59','\x5b','\x07','\xc3','\x3e','\x6a','\xde','\x32',
'\x91','\x76','\x4b','\x5a','\x32','\x91','\x77','\x5b','\x58','\x33','\x85','\x35','\x52','\x48','\x21','\x04',
};
